Bug 297661 - crash in QtScript JIT, called for Kate JS indentation
Summary: crash in QtScript JIT, called for Kate JS indentation
Status: RESOLVED UPSTREAM
Alias: None
Product: kate
Classification: Unclassified
Component: indentation (show other bugs)
Version: unspecified
Platform: unspecified Linux
: VHI normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
: 294650 295913 304173 305825 306331 306971 309344 312024 313024 319570 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-04-07 14:49 UTC by tim blechmann
Modified: 2013-05-10 17:28 UTC (History)
12 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tim blechmann 2012-04-07 14:49:43 UTC
since upgrading to 4.3 (qt 4.8), kdevelop crashes very often while typing c++ code. it happens about two or three times per hour, although it is not completely reproducible.

the scary thing is that it seems to happen in jit-compiled javascript code:

Application: KDevelop (kdevelop), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f5ecd12c780 (LWP 4154))]

Thread 16 (Thread 0x7f5eb253b700 (LWP 4155)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007f5ecb65743f in wait (time=1000, this=0x28310e0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x282fca0, time=1000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f5ec798460b in ?? () from /usr/lib/libkdevplatformlanguage.so.5
#4  0x00007f5ecb656fcb in QThreadPrivate::start (arg=0x282fc80) at thread/qthread_unix.cpp:298
#5  0x00007f5ec96a1e9a in start_thread (arg=0x7f5eb253b700) at pthread_create.c:308
#6  0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f5e988e3700 (LWP 4158)):
#0  0x00007f5ec96a3f69 in __pthread_mutex_lock (mutex=0x7f5e94000a60) at pthread_mutex_lock.c:92
#1  0x00007f5ec5419571 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f5ec53ddfb1 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5ec53de124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f5ecb785426 in QEventDispatcherGlib::processEvents (this=0x7f5e940008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f5ecb754c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f5ecb754ed7 in QEventLoop::exec (this=0x7f5e988e2dd0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f5ecb653fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007f5ecb7349ff in QInotifyFileSystemWatcherEngine::run (this=0x34811b0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f5ecb656fcb in QThreadPrivate::start (arg=0x34811b0) at thread/qthread_unix.cpp:298
#10 0x00007f5ec96a1e9a in start_thread (arg=0x7f5e988e3700) at pthread_create.c:308
#11 0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f5e9359c700 (LWP 4159)):
#0  0x00007f5ec54192f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f5ec5419599 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f5ec53ddfa9 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5ec53de124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f5ecb785426 in QEventDispatcherGlib::processEvents (this=0x7f5e8c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f5ecb754c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f5ecb754ed7 in QEventLoop::exec (this=0x7f5e9359be00, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f5ecb653fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007f5ecb656fcb in QThreadPrivate::start (arg=0x34f68c0) at thread/qthread_unix.cpp:298
#9  0x00007f5ec96a1e9a in start_thread (arg=0x7f5e9359c700) at pthread_create.c:308
#10 0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f5e92d9b700 (LWP 4160)):
#0  0x00007f5eca3310bd in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f5ec541889f in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f5ec53ddabd in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5ec53ddf96 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f5ec53de124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f5ecb785426 in QEventDispatcherGlib::processEvents (this=0x7f5e840008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f5ecb754c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f5ecb754ed7 in QEventLoop::exec (this=0x7f5e92d9ae00, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f5ecb653fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007f5ecb656fcb in QThreadPrivate::start (arg=0x350feb0) at thread/qthread_unix.cpp:298
#10 0x00007f5ec96a1e9a in start_thread (arg=0x7f5e92d9b700) at pthread_create.c:308
#11 0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f5e91ccd700 (LWP 4165)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f5eb327a222 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f5eb3572e80) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f5eb327a259 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f5ec96a1e9a in start_thread (arg=0x7f5e91ccd700) at pthread_create.c:308
#4  0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f5e8bfff700 (LWP 4178)):
#0  __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:37
#1  __pthread_mutex_unlock (mutex=0x7f5e80000a60) at pthread_mutex_unlock.c:290
#2  0x00007f5ec54195a1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5ec53dda09 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f5ec53ddf96 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f5ec53de124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f5ecb785426 in QEventDispatcherGlib::processEvents (this=0x7f5e800008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x00007f5ecb754c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f5ecb754ed7 in QEventLoop::exec (this=0x7f5e8bffedd0, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007f5ecb653fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#10 0x00007f5ecb7349ff in QInotifyFileSystemWatcherEngine::run (this=0x55d5660) at io/qfilesystemwatcher_inotify.cpp:248
#11 0x00007f5ecb656fcb in QThreadPrivate::start (arg=0x55d5660) at thread/qthread_unix.cpp:298
#12 0x00007f5ec96a1e9a in start_thread (arg=0x7f5e8bfff700) at pthread_create.c:308
#13 0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f5e8abe0700 (LWP 4250)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f5ec2505dec in WTF::TCMalloc_PageHeap::scavengerThread (this=0x7f5ec2ecede0) at wtf/FastMalloc.cpp:2495
#2  0x00007f5ec2505f19 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at wtf/FastMalloc.cpp:1618
#3  0x00007f5ec96a1e9a in start_thread (arg=0x7f5e8abe0700) at pthread_create.c:308
#4  0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f5e8b3e1700 (LWP 4251)):
#0  0x00007f5ec54192f0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f5ec5419599 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f5ec53dd0d8 in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5ec53ddec4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f5ec53de124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f5ecb785426 in QEventDispatcherGlib::processEvents (this=0x7f5e7c117160, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f5ecb754c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f5ecb754ed7 in QEventLoop::exec (this=0x7f5e8b3e0e00, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f5ecb653fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007f5ecb656fcb in QThreadPrivate::start (arg=0x4dd6420) at thread/qthread_unix.cpp:298
#10 0x00007f5ec96a1e9a in start_thread (arg=0x7f5e8b3e1700) at pthread_create.c:308
#11 0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f5e36497700 (LWP 5029)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f5ecb6574db in wait (time=18446744073709551615, this=0x180c3b0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x182af20, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f5ec2efc0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x180bff0, th=0x66c6790) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f5ec2efe9db in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c6790) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c6790) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c6790) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c6790) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c6790) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c6790) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c6790) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c6790) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#12 0x00007f5ec2efd84f in ThreadWeaver::ThreadRunHelper::run (this=0x7f5e36496e20, parent=0x180bff0, th=0x66c6790) at ../../../threadweaver/Weaver/Thread.cpp:87
#13 0x00007f5ec2efd8db in ThreadWeaver::Thread::run (this=0x66c6790) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x00007f5ecb656fcb in QThreadPrivate::start (arg=0x66c6790) at thread/qthread_unix.cpp:298
#15 0x00007f5ec96a1e9a in start_thread (arg=0x7f5e36497700) at pthread_create.c:308
#16 0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f5e35c96700 (LWP 5030)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f5ecb6574db in wait (time=18446744073709551615, this=0x180c3b0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x182af20, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f5ec2efc0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x180bff0, th=0x66c7230) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f5ec2efe9db in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c7230) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c7230) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c7230) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c7230) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c7230) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c7230) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00007f5ec2efd84f in ThreadWeaver::ThreadRunHelper::run (this=0x7f5e35c95e20, parent=0x180bff0, th=0x66c7230) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x00007f5ec2efd8db in ThreadWeaver::Thread::run (this=0x66c7230) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x00007f5ecb656fcb in QThreadPrivate::start (arg=0x66c7230) at thread/qthread_unix.cpp:298
#13 0x00007f5ec96a1e9a in start_thread (arg=0x7f5e35c96700) at pthread_create.c:308
#14 0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f5e35495700 (LWP 5031)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f5ecb6574db in wait (time=18446744073709551615, this=0x180c3b0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x182af20, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f5ec2efc0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x180bff0, th=0x66c8ee0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f5ec2efe9db in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x66c8ee0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f5ec2efd84f in ThreadWeaver::ThreadRunHelper::run (this=0x7f5e35494e20, parent=0x180bff0, th=0x66c8ee0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f5ec2efd8db in ThreadWeaver::Thread::run (this=0x66c8ee0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f5ecb656fcb in QThreadPrivate::start (arg=0x66c8ee0) at thread/qthread_unix.cpp:298
#8  0x00007f5ec96a1e9a in start_thread (arg=0x7f5e35495700) at pthread_create.c:308
#9  0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f5e34c94700 (LWP 5032)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f5ecb6574db in wait (time=18446744073709551615, this=0x180c3b0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x182af20, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f5ec2efc0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x180bff0, th=0x7f5e1c002e50) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f5ec2efe9db in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x7f5e1c002e50) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x7f5e1c002e50) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x7f5e1c002e50) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x7f5e1c002e50) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f5ec2efd84f in ThreadWeaver::ThreadRunHelper::run (this=0x7f5e34c93e20, parent=0x180bff0, th=0x7f5e1c002e50) at ../../../threadweaver/Weaver/Thread.cpp:87
#9  0x00007f5ec2efd8db in ThreadWeaver::Thread::run (this=0x7f5e1c002e50) at ../../../threadweaver/Weaver/Thread.cpp:142
#10 0x00007f5ecb656fcb in QThreadPrivate::start (arg=0x7f5e1c002e50) at thread/qthread_unix.cpp:298
#11 0x00007f5ec96a1e9a in start_thread (arg=0x7f5e34c94700) at pthread_create.c:308
#12 0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f5e1bfff700 (LWP 5033)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f5ecb6574db in wait (time=18446744073709551615, this=0x180c3b0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x182af20, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f5ec2efc0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x180bff0, th=0x69424e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f5ec2efe9db in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x69424e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f5ec2efe9f4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x182b810, th=0x69424e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f5ec2efd84f in ThreadWeaver::ThreadRunHelper::run (this=0x7f5e1bffee20, parent=0x180bff0, th=0x69424e0) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f5ec2efd8db in ThreadWeaver::Thread::run (this=0x69424e0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f5ecb656fcb in QThreadPrivate::start (arg=0x69424e0) at thread/qthread_unix.cpp:298
#9  0x00007f5ec96a1e9a in start_thread (arg=0x7f5e1bfff700) at pthread_create.c:308
#10 0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f5e37fff700 (LWP 13998)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f5ecb6574db in wait (time=18446744073709551615, this=0x4898c10) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x701e900, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f5ec2efc0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x79b2c90, th=0x7c0cb90) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f5ec2efe9db in ThreadWeaver::WorkingHardState::applyForWork (this=0x6f509f0, th=0x7c0cb90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f5ec2efd84f in ThreadWeaver::ThreadRunHelper::run (this=0x7f5e37ffee20, parent=0x79b2c90, th=0x7c0cb90) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f5ec2efd8db in ThreadWeaver::Thread::run (this=0x7c0cb90) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f5ecb656fcb in QThreadPrivate::start (arg=0x7c0cb90) at thread/qthread_unix.cpp:298
#8  0x00007f5ec96a1e9a in start_thread (arg=0x7f5e37fff700) at pthread_create.c:308
#9  0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f5e890fc700 (LWP 13999)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f5ecb6574db in wait (time=18446744073709551615, this=0x4898c10) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x701e900, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f5ec2efc0eb in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x79b2c90, th=0x6d5e130) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f5ec2efe9db in ThreadWeaver::WorkingHardState::applyForWork (this=0x6f509f0, th=0x6d5e130) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f5ec2efd84f in ThreadWeaver::ThreadRunHelper::run (this=0x7f5e890fbe20, parent=0x79b2c90, th=0x6d5e130) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f5ec2efd8db in ThreadWeaver::Thread::run (this=0x6d5e130) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f5ecb656fcb in QThreadPrivate::start (arg=0x6d5e130) at thread/qthread_unix.cpp:298
#8  0x00007f5ec96a1e9a in start_thread (arg=0x7f5e890fc700) at pthread_create.c:308
#9  0x00007f5eca33e4bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f5ecd12c780 (LWP 4154)):
[KCrash Handler]
#6  0x00007f5f36dd5030 in ?? ()
#7  0x00007f5ecd07609a in ?? ()
#8  0x7fffffff00000005 in ?? ()
#9  0x00007f5e36903b00 in ?? ()
#10 0x00007f5e00000014 in ?? ()
#11 0x00007f5e00000002 in ?? ()
#12 0x00007f5e36904000 in ?? ()
#13 0x00007f5e00000007 in ?? ()
#14 0x00007f5e914442c0 in ?? ()
#15 0x00007f5e913d48c0 in ?? ()
#16 0x00007f5e9143b700 in ?? ()
#17 0x00007f5e36dd6050 in ?? ()
#18 0x00007f5e914442d8 in ?? ()
#19 0x00007f5e369d50c8 in ?? ()
#20 0x00007f5e913cc288 in ?? ()
#21 0x00007f5eb3572d78 in QTJSC::ExecutableAllocator::pageSize () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#22 0x00007f5e913cb000 in ?? ()
#23 0x00007f5e369d5000 in ?? ()
#24 0x00007f5e9143b700 in ?? ()
#25 0x00007f5eb3572d78 in QTJSC::ExecutableAllocator::pageSize () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#26 0x00000000070548a8 in ?? ()
#27 0x00007f5e369d5060 in ?? ()
#28 0x00007f5e914442c0 in ?? ()
#29 0x00007f5eb31863a1 in execute (exception=0x7f5e913cc288, globalData=0x7f5e913cb000, callFrame=0x200, registerFile=0x7f5e914442d8, this=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/jit/JITCode.h:79
#30 QTJSC::Interpreter::execute (this=0x7fffc15fa0b0, functionExecutable=0xffff000000000002, callFrame=0x7f5e369d5168, function=0x7f5e36903940, thisObj=<optimized out>, args=..., scopeChain=0x7f5e9140df60, exception=0x7f5e913cc288) at ../3rdparty/javascriptcore/JavaScriptCore/interpreter/Interpreter.cpp:716
#31 0x00007f5eb321d567 in QTJSC::JSFunction::call (this=0x7f5e36903940, exec=0x70548a8, thisValue=..., args=...) at ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSFunction.cpp:122
#32 0x00007f5eb31f29a2 in QTJSC::call (exec=<optimized out>, functionObject=..., callType=<optimized out>, callData=..., thisValue=..., args=...) at ../3rdparty/javascriptcore/JavaScriptCore/runtime/CallData.cpp:62
#33 0x00007f5eb32d56ce in QScriptValue::call (this=<optimized out>, thisObject=..., args=...) at api/qscriptvalue.cpp:1604
#34 0x00007f5eb369934c in KateIndentScript::indent (this=0x17d3d60, view=<optimized out>, position=..., typedCharacter=..., indentWidth=<optimized out>) at ../../part/script/kateindentscript.cpp:73
#35 0x00007f5eb377b790 in KateAutoIndent::scriptIndent (this=0x6e91b00, view=<optimized out>, position=..., typedChar=...) at ../../part/utils/kateautoindent.cpp:249
#36 0x00007f5eb377bb93 in KateAutoIndent::userTypedChar (this=0x6e91b00, view=0x6e079d0, position=..., typedChar=...) at ../../part/utils/kateautoindent.cpp:427
#37 0x00007f5eb3679cc9 in KateDocument::typeChars (this=0x6d36af0, view=0x6e079d0, chars=...) at ../../part/document/katedocument.cpp:2684
#38 0x00007f5eb371860f in keyPressEvent (e=0x7fffc15faf20, this=0x6d9ff60) at ../../part/view/kateviewinternal.cpp:2369
#39 KateViewInternal::keyPressEvent (this=0x6d9ff60, e=0x7fffc15faf20) at ../../part/view/kateviewinternal.cpp:2215
#40 0x00007f5eb370fd10 in KateViewInternal::eventFilter (this=0x6d9ff60, obj=0x6d9ff60, e=0x7fffc15faf20) at ../../part/view/kateviewinternal.cpp:2167
#41 0x00007f5ecb756028 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x6d9ff60, event=0x7fffc15faf20) at kernel/qcoreapplication.cpp:986
#42 0x00007f5ecaad885f in notify_helper (e=0x7fffc15faf20, receiver=0x6d9ff60, this=0x1247470) at kernel/qapplication.cpp:4555
#43 QApplicationPrivate::notify_helper (this=0x1247470, receiver=0x6d9ff60, e=0x7fffc15faf20) at kernel/qapplication.cpp:4531
#44 0x00007f5ecaadddd5 in QApplication::notify (this=<optimized out>, receiver=<optimized out>, e=0x7fffc15faf20) at kernel/qapplication.cpp:4000
#45 0x00007f5ecbf60b46 in KApplication::notify (this=0x7fffc15fbfd0, receiver=0x6d9ff60, event=0x7fffc15faf20) at ../../kdeui/kernel/kapplication.cpp:311
#46 0x00007f5ecb755e9c in QCoreApplication::notifyInternal (this=0x7fffc15fbfd0, receiver=0x6d9ff60, event=0x7fffc15faf20) at kernel/qcoreapplication.cpp:876
#47 0x00007f5ecab7cc59 in QKeyMapper::sendKeyEvent (keyWidget=0x6d9ff60, grab=<optimized out>, type=QEvent::KeyPress, code=47, modifiers=..., text=..., autorepeat=false, count=1, nativeScanCode=61, nativeVirtualKey=47, nativeModifiers=0) at kernel/qkeymapper_x11.cpp:1866
#48 0x00007f5ecab7d0cb in QKeyMapperPrivate::translateKeyEvent (this=0x1291130, keyWidget=0x6d9ff60, event=0x7fffc15fba10, grab=false) at kernel/qkeymapper_x11.cpp:1836
#49 0x00007f5ecab57637 in QApplication::x11ProcessEvent (this=0x7fffc15fbfd0, event=0x7fffc15fba10) at kernel/qapplication_x11.cpp:3625
#50 0x00007f5ecab810e2 in x11EventSourceDispatch (s=0x12473d0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#51 0x00007f5ec53ddc9a in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#52 0x00007f5ec53de060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#53 0x00007f5ec53de124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#54 0x00007f5ecb7853bf in QEventDispatcherGlib::processEvents (this=0x1212b30, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#55 0x00007f5ecab80d6e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#56 0x00007f5ecb754c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#57 0x00007f5ecb754ed7 in QEventLoop::exec (this=0x7fffc15fbdb0, flags=...) at kernel/qeventloop.cpp:204
#58 0x00007f5ecb759f67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#59 0x000000000040a259 in ?? ()
#60 0x00007f5eca26d76d in __libc_start_main (main=0x404ba0, argc=1, ubp_av=0x7fffc15fde88, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffc15fde78) at libc-start.c:226
#61 0x000000000040a9b1 in _start ()
Comment 1 Milian Wolff 2012-04-08 17:26:52 UTC
yes me and at least one more dev is also experiencing this very frequently - no idea at all whats going on there and haven't had luck so far in valgrinding it :(

to me this looks like a bug in qwebkit I'm afraid to say... reassigning to kate though since this is related to scripted indentation
Comment 2 tim blechmann 2012-04-10 09:22:28 UTC
not sure if it helps, but it seems to me that it is somehow related to the c++ scope operator (double colon). i think most of the crashes happen after writing something like
mynamespace::
Comment 3 Milian Wolff 2012-04-11 15:42:37 UTC
this bug is really bad, I often get it when pressing enter at random places. here's another backtrace, but I think the the occurrence of autobraceplugindocument in the backtrace is the result of a messed up stack:

Thread 1 (Thread 0x7ffff7f9e7a0 (LWP 9820)):
#0  0x00007ffff7e970de in ?? ()
#1  0x00007fffffff9670 in ?? ()
#2  0x00007fff6e985b80 in ?? ()
#3  0x00007fff0000000f in ?? ()
#4  0x00007fff00000002 in ?? ()
#5  0x00007fff6e984000 in ?? ()
#6  0x00007fff00000007 in ?? ()
#7  0x00007fffffff9810 in ?? ()
#8  0x00007fffde6baf18 in AutoBracePluginDocument::slotTextInserted (this=0x7fff6e9f7138, document=0xffff000000000002, 
    range=[ (0, 0) -> (0, 0) ]) at /home/milian/projects/kde4/kate/part/plugins/autobrace/autobrace.cpp:245
#9  0x00007fffded7a341 in ?? () from /home/milian/projects/compiled/qt/lib/libQtScript.so.4
#10 0x00007fffdee120c7 in ?? () from /home/milian/projects/compiled/qt/lib/libQtScript.so.4
#11 0x00007fffdede7452 in ?? () from /home/milian/projects/compiled/qt/lib/libQtScript.so.4
#12 0x00007fffdeeca0ca in QScriptValue::call(QScriptValue const&, QList<QScriptValue> const&) ()
   from /home/milian/projects/compiled/qt/lib/libQtScript.so.4
#13 0x00007fffdf2c2b58 in KateIndentScript::indent (this=0xbfc130, view=0x132bbc90, position=[925, 0], typedCharacter="\n", indentWidth=4)
    at /home/milian/projects/kde4/kate/part/script/kateindentscript.cpp:73
#14 0x00007fffdf3c35fc in KateAutoIndent::scriptIndent (this=0x13f27da0, view=0x132bbc90, position=[925, 0], typedChar="\n")
    at /home/milian/projects/kde4/kate/part/utils/kateautoindent.cpp:249
#15 0x00007fffdf3c41a9 in KateAutoIndent::userTypedChar (this=0x13f27da0, view=0x132bbc90, position=[925, 0], typedChar="\n")
    at /home/milian/projects/kde4/kate/part/utils/kateautoindent.cpp:427
#16 0x00007fffdf29afe7 in KateDocument::newLine (this=0x13144720, v=0x132bbc90)
    at /home/milian/projects/kde4/kate/part/document/katedocument.cpp:2737
#17 0x00007fffdf348c50 in KateViewInternal::doReturn (this=0x13458b50) at /home/milian/projects/kde4/kate/part/view/kateviewinternal.cpp:776
#18 0x00007fffdf3504b0 in KateViewInternal::keyPressEvent (this=0x13458b50, e=0x7fffffffa410)
    at /home/milian/projects/kde4/kate/part/view/kateviewinternal.cpp:2315
#19 0x00007fffdf34fabb in KateViewInternal::eventFilter (this=0x13458b50, obj=0x13458b50, e=0x7fffffffa410)
    at /home/milian/projects/kde4/kate/part/view/kateviewinternal.cpp:2181
#20 0x00007ffff64e8c78 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) ()
   from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#21 0x00007ffff5854f6f in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /home/milian/projects/compiled/qt/lib/libQtGui.so.4
#22 0x00007ffff585a4e5 in QApplication::notify(QObject*, QEvent*) () from /home/milian/projects/compiled/qt/lib/libQtGui.so.4
#23 0x00007ffff6cf7466 in KApplication::notify (this=0x7fffffffb4d0, receiver=0x13458b50, event=0x7fffffffa410)
    at ../../kdeui/kernel/kapplication.cpp:311
#24 0x00007ffff64e8aec in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
---Type <return> to continue, or q <return> to quit---
#25 0x00007ffff58f4779 in ?? () from /home/milian/projects/compiled/qt/lib/libQtGui.so.4
#26 0x00007ffff58f4beb in ?? () from /home/milian/projects/compiled/qt/lib/libQtGui.so.4
#27 0x00007ffff58d0cd4 in QApplication::x11ProcessEvent(_XEvent*) () from /home/milian/projects/compiled/qt/lib/libQtGui.so.4
#28 0x00007ffff58f8c02 in ?? () from /home/milian/projects/compiled/qt/lib/libQtGui.so.4
#29 0x00007ffff0101a5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007ffff0102258 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007ffff0102429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#32 0x00007ffff6517b3f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#33 0x00007ffff58f888e in ?? () from /home/milian/projects/compiled/qt/lib/libQtGui.so.4
#34 0x00007ffff64e78d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#35 0x00007ffff64e7b27 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#36 0x00007ffff64ec685 in QCoreApplication::exec() () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#37 0x000000000040b7ab in main (argc=3, argv=0x7fffffffd338) at /home/milian/projects/kde4/kdevelop/app/main.cpp:479
(gdb)
Comment 4 Milian Wolff 2012-04-11 16:24:55 UTC
and again, but this time with the foregroundlock in the trace... could that be related? hmmm

Application: KDevelop (kdevelop), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f48b43607a0 (LWP 23195))]

Thread 12 (Thread 0x7f489a7c2700 (LWP 23196)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f48b27aaa6b in QWaitCondition::wait(QMutex*, unsigned long) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#2  0x00007f48b27a5276 in QReadWriteLock::lockForWrite() () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#3  0x00007f48aea4ee42 in KDevelop::DUChainPrivate::doMoreCleanup (this=0xc43190, retries=1, needLockRepository=true) at /home/milian/projects/kde4/kdevplatform/language/duchain/duchain.cpp:718
#4  0x00007f48aea4c268 in KDevelop::DUChainPrivate::CleanupThread::run (this=0x1f97180) at /home/milian/projects/kde4/kdevplatform/language/duchain/duchain.cpp:291
#5  0x00007f48b27aa55b in ?? () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#6  0x00007f48b07b3efc in start_thread (arg=0x7f489a7c2700) at pthread_create.c:304
#7  0x00007f48b144959d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f488cd95700 (LWP 23197)):
#0  0x00007f48b1442613 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f48b2886ba1 in ?? () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#2  0x00007f48b27aa55b in ?? () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#3  0x00007f48b07b3efc in start_thread (arg=0x7f488cd95700) at pthread_create.c:304
#4  0x00007f48b144959d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f4887a22700 (LWP 23199)):
#0  0x00007f48b143d473 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f48ac4c2f68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f48ac4c3429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f48b28d8b3f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#4  0x00007f48b28a88d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#5  0x00007f48b28a8b27 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#6  0x00007f48b27a7537 in QThread::exec() () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#7  0x00007f48aeb70b95 in KDevelop::CompletionWorkerThread::run (this=0x2a7ee20) at /home/milian/projects/kde4/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#8  0x00007f48b27aa55b in ?? () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#9  0x00007f48b07b3efc in start_thread (arg=0x7f4887a22700) at pthread_create.c:304
#10 0x00007f48b144959d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f4887221700 (LWP 23200)):
#0  0x00007f48b143d473 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f48ac4c2f68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f48ac4c3429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f48b28d8b3f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#4  0x00007f48b28a88d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#5  0x00007f48b28a8b27 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#6  0x00007f48b27a7537 in QThread::exec() () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#7  0x00007f48aeb70b95 in KDevelop::CompletionWorkerThread::run (this=0x2a7eb80) at /home/milian/projects/kde4/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#8  0x00007f48b27aa55b in ?? () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#9  0x00007f48b07b3efc in start_thread (arg=0x7f4887221700) at pthread_create.c:304
#10 0x00007f48b144959d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f4886a20700 (LWP 23207)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f489b22fc62 in ?? () from /home/milian/projects/compiled/qt/lib/libQtScript.so.4
#2  0x00007f489b22fc99 in ?? () from /home/milian/projects/compiled/qt/lib/libQtScript.so.4
#3  0x00007f48b07b3efc in start_thread (arg=0x7f4886a20700) at pthread_create.c:304
#4  0x00007f48b144959d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f4884607700 (LWP 23359)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f48a9a2effc in ?? () from /home/milian/projects/compiled/qt/lib/libQtWebKit.so.4
#2  0x00007f48a9a2f129 in ?? () from /home/milian/projects/compiled/qt/lib/libQtWebKit.so.4
#3  0x00007f48b07b3efc in start_thread (arg=0x7f4884607700) at pthread_create.c:304
#4  0x00007f48b144959d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f4884e08700 (LWP 23360)):
#0  0x00007f48b143d473 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f48ac4c2f68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f48ac4c3429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f48b28d8b3f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#4  0x00007f48b28a88d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#5  0x00007f48b28a8b27 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#6  0x00007f48b27a7537 in QThread::exec() () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#7  0x00007f48b27aa55b in ?? () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#8  0x00007f48b07b3efc in start_thread (arg=0x7f4884e08700) at pthread_create.c:304
#9  0x00007f48b144959d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f48826ad700 (LWP 23604)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f48b27aaa6b in QWaitCondition::wait(QMutex*, unsigned long) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#2  0x00007f48aa42a864 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xf5e030, th=0x11c8e5e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007f48aa42ce0b in ThreadWeaver::WorkingHardState::applyForWork (this=0xccb740, th=0x11c8e5e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007f48aa42ce24 in ThreadWeaver::WorkingHardState::applyForWork (this=0xccb740, th=0x11c8e5e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007f48aa42ce24 in ThreadWeaver::WorkingHardState::applyForWork (this=0xccb740, th=0x11c8e5e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f48aa42bccf in ThreadWeaver::ThreadRunHelper::run (this=0x7f48826ace00, parent=0xf5e030, th=0x11c8e5e0) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f48aa42bd5b in ThreadWeaver::Thread::run (this=0x11c8e5e0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f48b27aa55b in ?? () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#9  0x00007f48b07b3efc in start_thread (arg=0x7f48826ad700) at pthread_create.c:304
#10 0x00007f48b144959d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f4881eac700 (LWP 23605)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00007f48b27aa9cf in QWaitCondition::wait(QMutex*, unsigned long) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#2  0x00007f48b3aab9ff in KDevelop::ForegroundLock::relock (this=0x7f4881e955a9) at /home/milian/projects/kde4/kdevplatform/interfaces/foregroundlock.cpp:189
#3  0x00007f48b3aab6f8 in KDevelop::ForegroundLock::ForegroundLock (this=0x7f4881e955a9, lock=true) at /home/milian/projects/kde4/kdevplatform/interfaces/foregroundlock.cpp:145
#4  0x00007f48aea2dc5a in KDevelop::ParseJob::translateDUChainToRevision (this=0x7f482ce4a9b0, context=0x155a1190) at /home/milian/projects/kde4/kdevplatform/language/backgroundparser/parsejob.cpp:418
#5  0x00007f4888287937 in CPPInternalParseJob::run (this=0x7f482cefe130) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:436
#6  0x00007f488828610e in CPPParseJob::parseForeground (this=0x7f482ce4a9b0) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:177
#7  0x00007f4888294e51 in PreprocessJob::sourceNeeded (this=0x7f4895a0a480, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=53, skipCurrentPath=false) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:579
#8  0x00007f488802fad2 in rpp::pp::handle_include (this=0x7f4881e973b0, skip_current_path=false, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#9  0x00007f488802f195 in rpp::pp::handle_directive (this=0x7f4881e973b0, directive=22402382, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#10 0x00007f488802fdab in rpp::pp::operator() (this=0x7f4881e973b0, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#11 0x00007f488802ed03 in rpp::pp::processFileInternal (this=0x7f4881e973b0, fileName=..., fileContents=..., result=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#12 0x00007f488802ebc0 in rpp::pp::processFile (this=0x7f4881e973b0, fileName=..., data=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#13 0x00007f488829277d in PreprocessJob::run (this=0x7f4895a0a480) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:245
#14 0x00007f48882860ed in CPPParseJob::parseForeground (this=0x7f483a419090) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:176
#15 0x00007f4888294e51 in PreprocessJob::sourceNeeded (this=0x7f483805ab20, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=40, skipCurrentPath=false) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:579
#16 0x00007f488802fad2 in rpp::pp::handle_include (this=0x7f4881e995f0, skip_current_path=false, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#17 0x00007f488802f195 in rpp::pp::handle_directive (this=0x7f4881e995f0, directive=22402382, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#18 0x00007f488802fdab in rpp::pp::operator() (this=0x7f4881e995f0, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#19 0x00007f488802ed03 in rpp::pp::processFileInternal (this=0x7f4881e995f0, fileName=..., fileContents=..., result=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#20 0x00007f488802ebc0 in rpp::pp::processFile (this=0x7f4881e995f0, fileName=..., data=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#21 0x00007f488829277d in PreprocessJob::run (this=0x7f483805ab20) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:245
#22 0x00007f48882860ed in CPPParseJob::parseForeground (this=0x7f4896c58f60) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:176
#23 0x00007f4888294e51 in PreprocessJob::sourceNeeded (this=0x7f482f431910, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=66, skipCurrentPath=false) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:579
#24 0x00007f488802fad2 in rpp::pp::handle_include (this=0x7f4881e9b830, skip_current_path=false, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#25 0x00007f488802f195 in rpp::pp::handle_directive (this=0x7f4881e9b830, directive=22402382, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#26 0x00007f488802fdab in rpp::pp::operator() (this=0x7f4881e9b830, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#27 0x00007f488802ed03 in rpp::pp::processFileInternal (this=0x7f4881e9b830, fileName=..., fileContents=..., result=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#28 0x00007f488802ebc0 in rpp::pp::processFile (this=0x7f4881e9b830, fileName=..., data=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#29 0x00007f488829277d in PreprocessJob::run (this=0x7f482f431910) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:245
#30 0x00007f48882860ed in CPPParseJob::parseForeground (this=0x7f482fce3b80) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:176
#31 0x00007f4888294e51 in PreprocessJob::sourceNeeded (this=0x7f487ee074d0, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=62, skipCurrentPath=false) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:579
#32 0x00007f488802fad2 in rpp::pp::handle_include (this=0x7f4881e9da70, skip_current_path=false, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#33 0x00007f488802f195 in rpp::pp::handle_directive (this=0x7f4881e9da70, directive=22402382, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#34 0x00007f488802fdab in rpp::pp::operator() (this=0x7f4881e9da70, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#35 0x00007f488802ed03 in rpp::pp::processFileInternal (this=0x7f4881e9da70, fileName=..., fileContents=..., result=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#36 0x00007f488802ebc0 in rpp::pp::processFile (this=0x7f4881e9da70, fileName=..., data=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#37 0x00007f488829277d in PreprocessJob::run (this=0x7f487ee074d0) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:245
#38 0x00007f48882860ed in CPPParseJob::parseForeground (this=0x7f487f87f6f0) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:176
#39 0x00007f4888294e51 in PreprocessJob::sourceNeeded (this=0x7f487edd9640, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=72, skipCurrentPath=false) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:579
#40 0x00007f488802fad2 in rpp::pp::handle_include (this=0x7f4881e9fcb0, skip_current_path=false, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#41 0x00007f488802f195 in rpp::pp::handle_directive (this=0x7f4881e9fcb0, directive=22402382, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#42 0x00007f488802fdab in rpp::pp::operator() (this=0x7f4881e9fcb0, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#43 0x00007f488802ed03 in rpp::pp::processFileInternal (this=0x7f4881e9fcb0, fileName=..., fileContents=..., result=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#44 0x00007f488802ebc0 in rpp::pp::processFile (this=0x7f4881e9fcb0, fileName=..., data=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#45 0x00007f488829277d in PreprocessJob::run (this=0x7f487edd9640) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:245
#46 0x00007f48882860ed in CPPParseJob::parseForeground (this=0x7f487ee91960) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:176
#47 0x00007f4888294e51 in PreprocessJob::sourceNeeded (this=0x7f487f9a3fe0, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=44, skipCurrentPath=false) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:579
#48 0x00007f488802fad2 in rpp::pp::handle_include (this=0x7f4881ea1ef0, skip_current_path=false, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#49 0x00007f488802f195 in rpp::pp::handle_directive (this=0x7f4881ea1ef0, directive=22402382, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#50 0x00007f488802fdab in rpp::pp::operator() (this=0x7f4881ea1ef0, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#51 0x00007f488802ed03 in rpp::pp::processFileInternal (this=0x7f4881ea1ef0, fileName=..., fileContents=..., result=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#52 0x00007f488802ebc0 in rpp::pp::processFile (this=0x7f4881ea1ef0, fileName=..., data=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#53 0x00007f488829277d in PreprocessJob::run (this=0x7f487f9a3fe0) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:245
#54 0x00007f48882860ed in CPPParseJob::parseForeground (this=0x7f4835763480) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:176
#55 0x00007f4888294e51 in PreprocessJob::sourceNeeded (this=0x7f487f04cca0, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=44, skipCurrentPath=false) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:579
#56 0x00007f488802fad2 in rpp::pp::handle_include (this=0x7f4881ea4130, skip_current_path=false, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#57 0x00007f488802f195 in rpp::pp::handle_directive (this=0x7f4881ea4130, directive=22402382, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#58 0x00007f488802fdab in rpp::pp::operator() (this=0x7f4881ea4130, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#59 0x00007f488802ed03 in rpp::pp::processFileInternal (this=0x7f4881ea4130, fileName=..., fileContents=..., result=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#60 0x00007f488802ebc0 in rpp::pp::processFile (this=0x7f4881ea4130, fileName=..., data=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#61 0x00007f488829277d in PreprocessJob::run (this=0x7f487f04cca0) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:245
#62 0x00007f48882860ed in CPPParseJob::parseForeground (this=0x7f4834596920) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:176
#63 0x00007f4888294e51 in PreprocessJob::sourceNeeded (this=0x7f48340e5830, _fileName=..., type=rpp::Preprocessor::IncludeLocal, sourceLine=0, skipCurrentPath=false) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:579
#64 0x00007f488802fad2 in rpp::pp::handle_include (this=0x7f4881ea6370, skip_current_path=false, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#65 0x00007f488802f195 in rpp::pp::handle_directive (this=0x7f4881ea6370, directive=22402382, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#66 0x00007f488802fdab in rpp::pp::operator() (this=0x7f4881ea6370, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#67 0x00007f488802ed03 in rpp::pp::processFileInternal (this=0x7f4881ea6370, fileName=..., fileContents=..., result=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#68 0x00007f488802ebc0 in rpp::pp::processFile (this=0x7f4881ea6370, fileName=..., data=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#69 0x00007f488829277d in PreprocessJob::run (this=0x7f48340e5830) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:245
#70 0x00007f48882860ed in CPPParseJob::parseForeground (this=0x7f4835aaffa0) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:176
#71 0x00007f4888294e51 in PreprocessJob::sourceNeeded (this=0x7f482cb21280, _fileName=..., type=rpp::Preprocessor::IncludeGlobal, sourceLine=32, skipCurrentPath=false) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:579
#72 0x00007f488802fad2 in rpp::pp::handle_include (this=0x7f4881ea85b0, skip_current_path=false, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#73 0x00007f488802f195 in rpp::pp::handle_directive (this=0x7f4881ea85b0, directive=22402382, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#74 0x00007f488802fdab in rpp::pp::operator() (this=0x7f4881ea85b0, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#75 0x00007f488802ed03 in rpp::pp::processFileInternal (this=0x7f4881ea85b0, fileName=..., fileContents=..., result=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#76 0x00007f488802ebc0 in rpp::pp::processFile (this=0x7f4881ea85b0, fileName=..., data=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#77 0x00007f488829277d in PreprocessJob::run (this=0x7f482cb21280) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:245
#78 0x00007f48882860ed in CPPParseJob::parseForeground (this=0x7f482c104210) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:176
#79 0x00007f4888294e51 in PreprocessJob::sourceNeeded (this=0x17bff580, _fileName=..., type=rpp::Preprocessor::IncludeLocal, sourceLine=33, skipCurrentPath=false) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:579
#80 0x00007f488802fad2 in rpp::pp::handle_include (this=0x7f4881eaa7f0, skip_current_path=false, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:213
#81 0x00007f488802f195 in rpp::pp::handle_directive (this=0x7f4881eaa7f0, directive=22402382, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:131
#82 0x00007f488802fdab in rpp::pp::operator() (this=0x7f4881eaa7f0, input=..., output=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:266
#83 0x00007f488802ed03 in rpp::pp::processFileInternal (this=0x7f4881eaa7f0, fileName=..., fileContents=..., result=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#84 0x00007f488802ebc0 in rpp::pp::processFile (this=0x7f4881eaa7f0, fileName=..., data=...) at /home/milian/projects/kde4/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#85 0x00007f488829277d in PreprocessJob::run (this=0x17bff580) at /home/milian/projects/kde4/kdevelop/languages/cpp/preprocessjob.cpp:245
#86 0x00007f48aa42c491 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f4881eabd60, th=0x7f487c557100, job=0x17bff580) at ../../../threadweaver/Weaver/Job.cpp:106
#87 0x00007f48aa42c5bc in ThreadWeaver::Job::execute (this=0x17bff580, th=0x7f487c557100) at ../../../threadweaver/Weaver/Job.cpp:135
#88 0x00007f48aa42d603 in ThreadWeaver::JobCollectionJobRunner::execute (this=<optimized out>, t=0x7f487c557100) at ../../../threadweaver/Weaver/JobCollection.cpp:82
#89 0x00007f48aa42bc9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f4881eabe00, parent=0xf5e030, th=0x7f487c557100) at ../../../threadweaver/Weaver/Thread.cpp:95
#90 0x00007f48aa42bd5b in ThreadWeaver::Thread::run (this=0x7f487c557100) at ../../../threadweaver/Weaver/Thread.cpp:142
#91 0x00007f48b27aa55b in ?? () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#92 0x00007f48b07b3efc in start_thread (arg=0x7f4881eac700) at pthread_create.c:304
#93 0x00007f48b144959d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#94 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f48816ab700 (LWP 23606)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f48b27aaa6b in QWaitCondition::wait(QMutex*, unsigned long) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#2  0x00007f48b27a5cf7 in QReadWriteLock::lockForRead() () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#3  0x00007f488828caa9 in QReadLocker::relock (this=0x7f48816aa5c0) at /home/milian/projects/compiled/qt/include/QtCore/qreadwritelock.h:111
#4  0x00007f488828cb32 in QReadLocker::QReadLocker (this=0x7f48816aa5c0, areadWriteLock=0x2a03f98) at /home/milian/projects/compiled/qt/include/QtCore/qreadwritelock.h:130
#5  0x00007f4888287834 in CPPInternalParseJob::run (this=0x7f48388e5cf0) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:429
#6  0x00007f48aa42c491 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f48816aad60, th=0x121bd870, job=0x7f48388e5cf0) at ../../../threadweaver/Weaver/Job.cpp:106
#7  0x00007f48aa42c5bc in ThreadWeaver::Job::execute (this=0x7f48388e5cf0, th=0x121bd870) at ../../../threadweaver/Weaver/Job.cpp:135
#8  0x00007f48aa42d603 in ThreadWeaver::JobCollectionJobRunner::execute (this=<optimized out>, t=0x121bd870) at ../../../threadweaver/Weaver/JobCollection.cpp:82
#9  0x00007f48aa42bc9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f48816aae00, parent=0xf5e030, th=0x121bd870) at ../../../threadweaver/Weaver/Thread.cpp:95
#10 0x00007f48aa42bd5b in ThreadWeaver::Thread::run (this=0x121bd870) at ../../../threadweaver/Weaver/Thread.cpp:142
#11 0x00007f48b27aa55b in ?? () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#12 0x00007f48b07b3efc in start_thread (arg=0x7f48816ab700) at pthread_create.c:304
#13 0x00007f48b144959d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f4833fff700 (LWP 23623)):
#0  0x00007f48b143d473 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f48ac4c2f68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f48ac4c3429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f48b28d8b3f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#4  0x00007f48b28a88d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#5  0x00007f48b28a8b27 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#6  0x00007f48b27a7537 in QThread::exec() () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#7  0x00007f48aeb70b95 in KDevelop::CompletionWorkerThread::run (this=0x157831e0) at /home/milian/projects/kde4/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#8  0x00007f48b27aa55b in ?? () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#9  0x00007f48b07b3efc in start_thread (arg=0x7f4833fff700) at pthread_create.c:304
#10 0x00007f48b144959d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f48b43607a0 (LWP 23195)):
[KCrash Handler]
#6  0x00007f47b427d030 in ?? ()
#7  0x00007f4832e2609a in ?? ()
#8  0x00007fff61fbe8e0 in ?? ()
#9  0x00007f48b4203b00 in ?? ()
#10 0x00007f4800000014 in ?? ()
#11 0x00007f4800000002 in ?? ()
#12 0x00007f48b4203fc0 in ?? ()
#13 0x0000000000000007 in ?? ()
#14 0x00007fff61fbe920 in ?? ()
#15 0x00007f48b35109a9 in KTextEditor::Cursor::setPosition (this=0x7f4880145000, pos=...) at /home/milian/projects/kde4/kate/ktexteditor/cursor.cpp:98
#16 0x00007f489b13b341 in ?? () from /home/milian/projects/compiled/qt/lib/libQtScript.so.4
#17 0x00007f489b1d30c7 in ?? () from /home/milian/projects/compiled/qt/lib/libQtScript.so.4
#18 0x00007f489b1a8452 in ?? () from /home/milian/projects/compiled/qt/lib/libQtScript.so.4
#19 0x00007f489b28b0ca in QScriptValue::call(QScriptValue const&, QList<QScriptValue> const&) () from /home/milian/projects/compiled/qt/lib/libQtScript.so.4
#20 0x00007f489b683b58 in KateIndentScript::indent (this=0xeead10, view=0x3d5d950, position=..., typedCharacter=..., indentWidth=4) at /home/milian/projects/kde4/kate/part/script/kateindentscript.cpp:73
#21 0x00007f489b7845fc in KateAutoIndent::scriptIndent (this=0x3aa1370, view=0x3d5d950, position=..., typedChar=...) at /home/milian/projects/kde4/kate/part/utils/kateautoindent.cpp:249
#22 0x00007f489b7851a9 in KateAutoIndent::userTypedChar (this=0x3aa1370, view=0x3d5d950, position=..., typedChar=...) at /home/milian/projects/kde4/kate/part/utils/kateautoindent.cpp:427
#23 0x00007f489b65bd3f in KateDocument::typeChars (this=0x3aa0ea0, view=0x3d5d950, chars=...) at /home/milian/projects/kde4/kate/part/document/katedocument.cpp:2702
#24 0x00007f489b711a02 in KateViewInternal::keyPressEvent (this=0x3d5e2e0, e=0x7fff61fbf8e0) at /home/milian/projects/kde4/kate/part/view/kateviewinternal.cpp:2383
#25 0x00007f489b710abb in KateViewInternal::eventFilter (this=0x3d5e2e0, obj=0x3d5e2e0, e=0x7fff61fbf8e0) at /home/milian/projects/kde4/kate/part/view/kateviewinternal.cpp:2181
#26 0x00007f48b28a9c78 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#27 0x00007f48b1c15f6f in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /home/milian/projects/compiled/qt/lib/libQtGui.so.4
#28 0x00007f48b1c1b4e5 in QApplication::notify(QObject*, QEvent*) () from /home/milian/projects/compiled/qt/lib/libQtGui.so.4
#29 0x00007f48b30b8466 in KApplication::notify (this=0x7fff61fc09a0, receiver=0x3d5e2e0, event=0x7fff61fbf8e0) at ../../kdeui/kernel/kapplication.cpp:311
#30 0x00007f48b28a9aec in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#31 0x00007f48b1cb5779 in ?? () from /home/milian/projects/compiled/qt/lib/libQtGui.so.4
#32 0x00007f48b1cb5beb in ?? () from /home/milian/projects/compiled/qt/lib/libQtGui.so.4
#33 0x00007f48b1c91cd4 in QApplication::x11ProcessEvent(_XEvent*) () from /home/milian/projects/compiled/qt/lib/libQtGui.so.4
#34 0x00007f48b1cb9c02 in ?? () from /home/milian/projects/compiled/qt/lib/libQtGui.so.4
#35 0x00007f48ac4c2a5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#36 0x00007f48ac4c3258 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#37 0x00007f48ac4c3429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#38 0x00007f48b28d8b3f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#39 0x00007f48b1cb988e in ?? () from /home/milian/projects/compiled/qt/lib/libQtGui.so.4
#40 0x00007f48b28a88d2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#41 0x00007f48b28a8b27 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#42 0x00007f48b28ad685 in QCoreApplication::exec() () from /home/milian/projects/compiled/qt/lib/libQtCore.so.4
#43 0x000000000040b7ab in main (argc=3, argv=0x7fff61fc2808) at /home/milian/projects/kde4/kdevelop/app/main.cpp:479
Comment 5 Milian Wolff 2012-04-19 14:10:25 UTC
backtrace with more debug symbols:

Application: KDevelop (kdevelop), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f8641d617a0 (LWP 22204))]

Thread 11 (Thread 0x7f86223f9700 (LWP 22205)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00007f86400f7fbf in QWaitConditionPrivate::wait (this=0x262f0a0, time=1000) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qwaitcondition_unix.cpp:84
#2  0x00007f86400f7d85 in QWaitCondition::wait (this=0xaccd58, mutex=0xaccd60, time=1000) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qwaitcondition_unix.cpp:158
#3  0x00007f863c03b238 in KDevelop::DUChainPrivate::CleanupThread::run (this=0xaccd40) at /home/milian/projects/kde4/kdevplatform/language/duchain/duchain.cpp:282
#4  0x00007f86400f69e4 in QThreadPrivate::start (arg=0xaccd40) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qthread_unix.cpp:298
#5  0x00007f863dda2efc in start_thread (arg=0x7f86223f9700) at pthread_create.c:304
#6  0x00007f863ea7859d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f861485e700 (LWP 22206)):
#0  0x00007f863ea71613 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f86401fe0e4 in QProcessManager::run (this=0x7f86405e4780) at /home/milian/projects/kde4/qt-src/src/corelib/io/qprocess_unix.cpp:245
#2  0x00007f86400f69e4 in QThreadPrivate::start (arg=0x7f86405e4780) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qthread_unix.cpp:298
#3  0x00007f863dda2efc in start_thread (arg=0x7f861485e700) at pthread_create.c:304
#4  0x00007f863ea7859d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f860f341700 (LWP 22208)):
#0  0x00007f863ea6c473 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f8639a7bf68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f8639a7c429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f86402670c7 in QEventDispatcherGlib::processEvents (this=0x290e840, flags=...) at /home/milian/projects/kde4/qt-src/src/corelib/kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f86402287a0 in QEventLoop::processEvents (this=0x7f860f340d60, flags=...) at /home/milian/projects/kde4/qt-src/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007f864022892a in QEventLoop::exec (this=0x7f860f340d60, flags=...) at /home/milian/projects/kde4/qt-src/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007f86400f40b7 in QThread::exec (this=0x286dd20) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qthread.cpp:501
#7  0x00007f863c15fbc1 in KDevelop::CompletionWorkerThread::run (this=0x286dd20) at /home/milian/projects/kde4/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#8  0x00007f86400f69e4 in QThreadPrivate::start (arg=0x286dd20) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qthread_unix.cpp:298
#9  0x00007f863dda2efc in start_thread (arg=0x7f860f341700) at pthread_create.c:304
#10 0x00007f863ea7859d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f860eb40700 (LWP 22209)):
#0  0x00007f863ea6c473 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f8639a7bf68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f8639a7c429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f86402670c7 in QEventDispatcherGlib::processEvents (this=0x2910850, flags=...) at /home/milian/projects/kde4/qt-src/src/corelib/kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f86402287a0 in QEventLoop::processEvents (this=0x7f860eb3fd60, flags=...) at /home/milian/projects/kde4/qt-src/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007f864022892a in QEventLoop::exec (this=0x7f860eb3fd60, flags=...) at /home/milian/projects/kde4/qt-src/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007f86400f40b7 in QThread::exec (this=0x286da60) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qthread.cpp:501
#7  0x00007f863c15fbc1 in KDevelop::CompletionWorkerThread::run (this=0x286da60) at /home/milian/projects/kde4/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#8  0x00007f86400f69e4 in QThreadPrivate::start (arg=0x286da60) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qthread_unix.cpp:298
#9  0x00007f863dda2efc in start_thread (arg=0x7f860eb40700) at pthread_create.c:304
#10 0x00007f863ea7859d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f86098eb700 (LWP 22546)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f8636add407 in WTF::TCMalloc_PageHeap::scavengerThread() () from /home/milian/projects/compiled/qt/lib/libQtWebKit.so.4
#2  0x00007f8636adc9e4 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /home/milian/projects/compiled/qt/lib/libQtWebKit.so.4
#3  0x00007f863dda2efc in start_thread (arg=0x7f86098eb700) at pthread_create.c:304
#4  0x00007f863ea7859d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f860a0ec700 (LWP 22547)):
#0  0x00007f8640266506 in timerSourcePrepare (source=0x4b2d710, timeout=0x7f860a0ebb20) at /home/milian/projects/kde4/qt-src/src/corelib/kernel/qeventdispatcher_glib.cpp:157
#1  0x00007f8639a7aff2 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f8639a7bdfd in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f8639a7c429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f86402670ea in QEventDispatcherGlib::processEvents (this=0x43f1020, flags=...) at /home/milian/projects/kde4/qt-src/src/corelib/kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f86402287a0 in QEventLoop::processEvents (this=0x7f860a0ebd70, flags=...) at /home/milian/projects/kde4/qt-src/src/corelib/kernel/qeventloop.cpp:149
#6  0x00007f864022892a in QEventLoop::exec (this=0x7f860a0ebd70, flags=...) at /home/milian/projects/kde4/qt-src/src/corelib/kernel/qeventloop.cpp:204
#7  0x00007f86400f40b7 in QThread::exec (this=0x4b99600) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qthread.cpp:501
#8  0x00007f86400f4256 in QThread::run (this=0x4b99600) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qthread.cpp:568
#9  0x00007f86400f69e4 in QThreadPrivate::start (arg=0x4b99600) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qthread_unix.cpp:298
#10 0x00007f863dda2efc in start_thread (arg=0x7f860a0ec700) at pthread_create.c:304
#11 0x00007f863ea7859d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f85c305c700 (LWP 22604)):
#0  __lll_timedlock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:191
#1  0x00007f863dda607e in _L_timedlock_108 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007f863dda5876 in pthread_mutex_timedlock (mutex=0x7f86416cd840, abstime=0x7f85c305a780) at pthread_mutex_timedlock.c:80
#3  0x00007f86414ad6bb in SimplePThreadMutex::tryLock (this=0x7f86416cd840, interval=10) at /home/milian/projects/kde4/kdevplatform/interfaces/foregroundlock.cpp:72
#4  0x00007f86414ac5dc in (anonymous namespace)::tryLockForegroundMutexInternal (interval=10) at /home/milian/projects/kde4/kdevplatform/interfaces/foregroundlock.cpp:118
#5  0x00007f86414aca51 in KDevelop::ForegroundLock::relock (this=0x7f85c305abd9) at /home/milian/projects/kde4/kdevplatform/interfaces/foregroundlock.cpp:160
#6  0x00007f86414ac6f8 in KDevelop::ForegroundLock::ForegroundLock (this=0x7f85c305abd9, lock=true) at /home/milian/projects/kde4/kdevplatform/interfaces/foregroundlock.cpp:145
#7  0x00007f863c01cc7a in KDevelop::ParseJob::translateDUChainToRevision (this=0x1a6ba810, context=0x1b45b130) at /home/milian/projects/kde4/kdevplatform/language/backgroundparser/parsejob.cpp:418
#8  0x00007f860fba696b in CPPInternalParseJob::run (this=0x1a8202e0) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:436
#9  0x00007f86379c9491 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f85c305bd10, th=0x28768f0, job=0x1a8202e0) at ../../../threadweaver/Weaver/Job.cpp:106
#10 0x00007f86379c95bc in ThreadWeaver::Job::execute (this=0x1a8202e0, th=0x28768f0) at ../../../threadweaver/Weaver/Job.cpp:135
#11 0x00007f86379ca603 in ThreadWeaver::JobCollectionJobRunner::execute (this=<optimized out>, t=0x28768f0) at ../../../threadweaver/Weaver/JobCollection.cpp:82
#12 0x00007f86379c8c9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f85c305bdb0, parent=0xdb6b30, th=0x28768f0) at ../../../threadweaver/Weaver/Thread.cpp:95
#13 0x00007f86379c8d5b in ThreadWeaver::Thread::run (this=0x28768f0) at ../../../threadweaver/Weaver/Thread.cpp:142
#14 0x00007f86400f69e4 in QThreadPrivate::start (arg=0x28768f0) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qthread_unix.cpp:298
#15 0x00007f863dda2efc in start_thread (arg=0x7f85c305c700) at pthread_create.c:304
#16 0x00007f863ea7859d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f85c285b700 (LWP 22605)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007f86400f610e in _q_futex (addr=0x74f750, op=0, val=2, timeout=0x0, addr2=0x0, val2=0) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qmutex_unix.cpp:99
#2  0x00007f86400f61c6 in QMutexPrivate::wait (this=0x74f750, timeout=-1) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qmutex_unix.cpp:113
#3  0x00007f86400f0db3 in QMutex::lockInternal (this=0x7f86416cd868) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qmutex.cpp:450
#4  0x00007f86400f099e in QMutex::lock (this=0x7f86416cd868) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qmutex.cpp:177
#5  0x00007f86414ad536 in QMutex::lockInline (this=0x7f86416cd868) at /home/milian/projects/compiled/qt/include/QtCore/qmutex.h:198
#6  0x00007f86414ad46d in QMutexLocker::QMutexLocker (this=0x7f85c2859910, m=0x7f86416cd868) at /home/milian/projects/compiled/qt/include/QtCore/qmutex.h:109
#7  0x00007f86414ac79c in KDevelop::ForegroundLock::relock (this=0x7f85c2859bd9) at /home/milian/projects/kde4/kdevplatform/interfaces/foregroundlock.cpp:158
#8  0x00007f86414ac6f8 in KDevelop::ForegroundLock::ForegroundLock (this=0x7f85c2859bd9, lock=true) at /home/milian/projects/kde4/kdevplatform/interfaces/foregroundlock.cpp:145
#9  0x00007f863c01cc7a in KDevelop::ParseJob::translateDUChainToRevision (this=0x1a0f17b0, context=0x7f861ce61030) at /home/milian/projects/kde4/kdevplatform/language/backgroundparser/parsejob.cpp:418
#10 0x00007f860fba696b in CPPInternalParseJob::run (this=0x1c4b3cb0) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:436
#11 0x00007f86379c9491 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f85c285ad10, th=0x13390090, job=0x1c4b3cb0) at ../../../threadweaver/Weaver/Job.cpp:106
#12 0x00007f86379c95bc in ThreadWeaver::Job::execute (this=0x1c4b3cb0, th=0x13390090) at ../../../threadweaver/Weaver/Job.cpp:135
#13 0x00007f86379ca603 in ThreadWeaver::JobCollectionJobRunner::execute (this=<optimized out>, t=0x13390090) at ../../../threadweaver/Weaver/JobCollection.cpp:82
#14 0x00007f86379c8c9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f85c285adb0, parent=0xdb6b30, th=0x13390090) at ../../../threadweaver/Weaver/Thread.cpp:95
#15 0x00007f86379c8d5b in ThreadWeaver::Thread::run (this=0x13390090) at ../../../threadweaver/Weaver/Thread.cpp:142
#16 0x00007f86400f69e4 in QThreadPrivate::start (arg=0x13390090) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qthread_unix.cpp:298
#17 0x00007f863dda2efc in start_thread (arg=0x7f85c285b700) at pthread_create.c:304
#18 0x00007f863ea7859d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f85c205a700 (LWP 22606)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007f86400f610e in _q_futex (addr=0x74f750, op=0, val=2, timeout=0x0, addr2=0x0, val2=0) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qmutex_unix.cpp:99
#2  0x00007f86400f61c6 in QMutexPrivate::wait (this=0x74f750, timeout=-1) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qmutex_unix.cpp:113
#3  0x00007f86400f0db3 in QMutex::lockInternal (this=0x7f86416cd868) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qmutex.cpp:450
#4  0x00007f86400f099e in QMutex::lock (this=0x7f86416cd868) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qmutex.cpp:177
#5  0x00007f86414ad536 in QMutex::lockInline (this=0x7f86416cd868) at /home/milian/projects/compiled/qt/include/QtCore/qmutex.h:198
#6  0x00007f86414ad46d in QMutexLocker::QMutexLocker (this=0x7f85c2058910, m=0x7f86416cd868) at /home/milian/projects/compiled/qt/include/QtCore/qmutex.h:109
#7  0x00007f86414ac79c in KDevelop::ForegroundLock::relock (this=0x7f85c2058bd9) at /home/milian/projects/kde4/kdevplatform/interfaces/foregroundlock.cpp:158
#8  0x00007f86414ac6f8 in KDevelop::ForegroundLock::ForegroundLock (this=0x7f85c2058bd9, lock=true) at /home/milian/projects/kde4/kdevplatform/interfaces/foregroundlock.cpp:145
#9  0x00007f863c01cc7a in KDevelop::ParseJob::translateDUChainToRevision (this=0x7f85b0d71a30, context=0x7f861cf27e40) at /home/milian/projects/kde4/kdevplatform/language/backgroundparser/parsejob.cpp:418
#10 0x00007f860fba696b in CPPInternalParseJob::run (this=0x7f85b102cd90) at /home/milian/projects/kde4/kdevelop/languages/cpp/cppparsejob.cpp:436
#11 0x00007f86379c9491 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f85c2059d10, th=0x7f8604361c90, job=0x7f85b102cd90) at ../../../threadweaver/Weaver/Job.cpp:106
#12 0x00007f86379c95bc in ThreadWeaver::Job::execute (this=0x7f85b102cd90, th=0x7f8604361c90) at ../../../threadweaver/Weaver/Job.cpp:135
#13 0x00007f86379ca603 in ThreadWeaver::JobCollectionJobRunner::execute (this=<optimized out>, t=0x7f8604361c90) at ../../../threadweaver/Weaver/JobCollection.cpp:82
#14 0x00007f86379c8c9f in ThreadWeaver::ThreadRunHelper::run (this=0x7f85c2059db0, parent=0xdb6b30, th=0x7f8604361c90) at ../../../threadweaver/Weaver/Thread.cpp:95
#15 0x00007f86379c8d5b in ThreadWeaver::Thread::run (this=0x7f8604361c90) at ../../../threadweaver/Weaver/Thread.cpp:142
#16 0x00007f86400f69e4 in QThreadPrivate::start (arg=0x7f8604361c90) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qthread_unix.cpp:298
#17 0x00007f863dda2efc in start_thread (arg=0x7f85c205a700) at pthread_create.c:304
#18 0x00007f863ea7859d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f85abfff700 (LWP 22613)):
#0  0x00007f863ea6c473 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f8639a7bf68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f8639a7c429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f86402670c7 in QEventDispatcherGlib::processEvents (this=0x17537710, flags=...) at /home/milian/projects/kde4/qt-src/src/corelib/kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f86402287a0 in QEventLoop::processEvents (this=0x7f85abffed60, flags=...) at /home/milian/projects/kde4/qt-src/src/corelib/kernel/qeventloop.cpp:149
#5  0x00007f864022892a in QEventLoop::exec (this=0x7f85abffed60, flags=...) at /home/milian/projects/kde4/qt-src/src/corelib/kernel/qeventloop.cpp:204
#6  0x00007f86400f40b7 in QThread::exec (this=0x1727ba60) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qthread.cpp:501
#7  0x00007f863c15fbc1 in KDevelop::CompletionWorkerThread::run (this=0x1727ba60) at /home/milian/projects/kde4/kdevplatform/language/codecompletion/codecompletionmodel.cpp:84
#8  0x00007f86400f69e4 in QThreadPrivate::start (arg=0x1727ba60) at /home/milian/projects/kde4/qt-src/src/corelib/thread/qthread_unix.cpp:298
#9  0x00007f863dda2efc in start_thread (arg=0x7f85abfff700) at pthread_create.c:304
#10 0x00007f863ea7859d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f8641d617a0 (LWP 22204)):
[KCrash Handler]
#6  0x00007f8627eed830 in QTJSC::X86Assembler::setRel32 (from=0x7f8641c7cfe0, to=0x7f85c0db2030) at /home/milian/projects/kde4/qt-src/src/3rdparty/javascriptcore/JavaScriptCore/assembler/X86Assembler.h:1603
#7  0x00007f8627ef735b in QTJSC::X86Assembler::linkCall (code=0x7f8641c7c000, from=..., to=0x7f85c0db2030) at /home/milian/projects/kde4/qt-src/src/3rdparty/javascriptcore/JavaScriptCore/assembler/X86Assembler.h:1506
#8  0x00007f8627ef786f in QTJSC::MacroAssemblerX86_64::linkCall (code=0x7f8641c7c000, call=..., function=...) at /home/milian/projects/kde4/qt-src/src/3rdparty/javascriptcore/JavaScriptCore/assembler/MacroAssemblerX86_64.h:434
#9  0x00007f8627ef81ee in QTJSC::LinkBuffer::link (this=0x7fffa438fa80, call=..., function=...) at /home/milian/projects/kde4/qt-src/src/3rdparty/javascriptcore/JavaScriptCore/assembler/LinkBuffer.h:85
#10 0x00007f8627ef5fa1 in QTJSC::JIT::privateCompile (this=0x7fffa438fca0) at /home/milian/projects/kde4/qt-src/src/3rdparty/javascriptcore/JavaScriptCore/jit/JIT.cpp:523
#11 0x00007f8627f4e2dc in QTJSC::JIT::compile (globalData=0x7f85bfab3db0, codeBlock=0x1c71e350) at /home/milian/projects/kde4/qt-src/src/3rdparty/javascriptcore/JavaScriptCore/jit/JIT.h:283
#12 0x00007f8627f4cb89 in QTJSC::FunctionExecutable::generateJITCode (this=0x1b698840, exec=0x7f85ab3ff0c8, scopeChainNode=0x7f85be01eee0) at /home/milian/projects/kde4/qt-src/src/3rdparty/javascriptcore/JavaScriptCore/runtime/Executable.cpp:165
#13 0x00007f8627ee0f4b in QTJSC::FunctionExecutable::jitCode (this=0x1b698840, exec=0x7f85ab3ff0c8, scopeChainNode=0x7f85be01eee0) at /home/milian/projects/kde4/qt-src/src/3rdparty/javascriptcore/JavaScriptCore/runtime/Executable.h:336
#14 0x00007f8627f0eba8 in QTJSC::cti_op_call_JSFunction (args=0x7fffa438fff0) at /home/milian/projects/kde4/qt-src/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITStubs.cpp:1665
#15 0x00007f8627f0bcf7 in QTJSC::JITThunks::tryCacheGetByID (callFrame=0x7fffa438ff20, codeBlock=0x1b698840, returnAddress=..., baseValue=..., propertyName=..., slot=..., stubInfo=0x7f85c0b03840) at /home/milian/projects/kde4/qt-src/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITStubs.cpp:926
#16 0x0000000000000000 in ?? ()
Comment 6 Milian Wolff 2012-04-19 14:13:23 UTC
*** Bug 294650 has been marked as a duplicate of this bug. ***
Comment 7 Milian Wolff 2012-04-19 14:14:48 UTC
from bug 294650:

Caugth this with valgrind: ==21938== Thread 8: ==21938== Conditional jump or move depends on uninitialised value(s) ==21938== at 0x87FDA08: QString::fromLatin1_helper(char const*, int) (qstring.cpp:3814) ==21938== by 0x8790B96: QString::QString(QLatin1String const&) (qstring.h:694) ==21938== by 0x88661CC: QTextStream::operator<<(char const*) (qtextstream.cpp:2573) ==21938== by 0x3052FBE3: QDebug::operator<<(bool) (qdebug.h:97) ==21938== by 0x3051B9A5: CMakeProjectVisitor::traverseGlob(QString const&, QString const&, bool, bool) (cmakeprojectvisitor.cpp:2345) ==21938== by 0x3051D81C: CMakeProjectVisitor::visit(FileAst const*) (cmakeprojectvisitor.cpp:1459) ==21938== by 0x3052747C: CMakeProjectVisitor::walk(QList<CMakeFunctionDesc> const&, int, bool) (cmakeprojectvisitor.cpp:2213) ==21938== by 0x30529546: CMakeProjectVisitor::visit(IncludeAst const*) (cmakeprojectvisitor.cpp:563) ==21938== by 0x3052747C: CMakeProjectVisitor::walk(QList<CMakeFunctionDesc> const&, int, bool) (cmakeprojectvisitor.cpp:2213) ==21938== by 0x30527FA5: CMakeProjectVisitor::visit(IfAst const*) (cmakeprojectvisitor.cpp:1302) ==21938== by 0x3052747C: CMakeProjectVisitor::walk(QList<CMakeFunctionDesc> const&, int, bool) (cmakeprojectvisitor.cpp:2213) ==21938== by 0x30527FA5: CMakeProjectVisitor::visit(IfAst const*) (cmakeprojectvisitor.cpp:1302) ==21938== ==21938== Use of uninitialised value of size 8 ==21938== at 0x87FDA36: QString::fromLatin1_helper(char const*, int) (qstring.cpp:3817) ==21938== by 0x8790B96: QString::QString(QLatin1String const&) (qstring.h:694) ==21938== by 0x88661CC: QTextStream::operator<<(char const*) (qtextstream.cpp:2573) ==21938== by 0x3052FBE3: QDebug::operator<<(bool) (qdebug.h:97) ==21938== by 0x3051B9A5: CMakeProjectVisitor::traverseGlob(QString const&, QString const&, bool, bool) (cmakeprojectvisitor.cpp:2345) ==21938== by 0x3051D81C: CMakeProjectVisitor::visit(FileAst const*) (cmakeprojectvisitor.cpp:1459) ==21938== by 0x3052747C: CMakeProjectVisitor::walk(QList<CMakeFunctionDesc> const&, int, bool) (cmakeprojectvisitor.cpp:2213) ==21938== by 0x30529546: CMakeProjectVisitor::visit(IncludeAst const*) (cmakeprojectvisitor.cpp:563) ==21938== by 0x3052747C: CMakeProjectVisitor::walk(QList<CMakeFunctionDesc> const&, int, bool) (cmakeprojectvisitor.cpp:2213) ==21938== by 0x30527FA5: CMakeProjectVisitor::visit(IfAst const*) (cmakeprojectvisitor.cpp:1302) ==21938== by 0x3052747C: CMakeProjectVisitor::walk(QList<CMakeFunctionDesc> const&, int, bool) (cmakeprojectvisitor.cpp:2213) ==21938== by 0x30527FA5: CMakeProjectVisitor::visit(IfAst const*) (cmakeprojectvisitor.cpp:1302) ==21938== ==21938== Conditional jump or move depends on uninitialised value(s) ==21938== at 0x8799602: qstrlen(char const*) (in /data/installation/qt/qt-4.8/lib/libQtCore.so.4.8.0) ==21938== by 0x87FDA79: QString::fromLatin1_helper(char const*, int) (qstring.cpp:3822) ==21938== by 0x8790B96: QString::QString(QLatin1String const&) (qstring.h:694) ==21938== by 0x88661CC: QTextStream::operator<<(char const*) (qtextstream.cpp:2573) ==21938== by 0x3052FBE3: QDebug::operator<<(bool) (qdebug.h:97) ==21938== by 0x3051B9A5: CMakeProjectVisitor::traverseGlob(QString const&, QString const&, bool, bool) (cmakeprojectvisitor.cpp:2345) ==21938== by 0x3051D81C: CMakeProjectVisitor::visit(FileAst const*) (cmakeprojectvisitor.cpp:1459) ==21938== by 0x3052747C: CMakeProjectVisitor::walk(QList<CMakeFunctionDesc> const&, int, bool) (cmakeprojectvisitor.cpp:2213) ==21938== by 0x30529546: CMakeProjectVisitor::visit(IncludeAst const*) (cmakeprojectvisitor.cpp:563) ==21938== by 0x3052747C: CMakeProjectVisitor::walk(QList<CMakeFunctionDesc> const&, int, bool) (cmakeprojectvisitor.cpp:2213) ==21938== by 0x30527FA5: CMakeProjectVisitor::visit(IfAst const*) (cmakeprojectvisitor.cpp:1302) ==21938== by 0x3052747C: CMakeProjectVisitor::walk(QList<CMakeFunctionDesc> const&, int, bool) (cmakeprojectvisitor.cpp:2213) ==21938== ==21938== Use of uninitialised value of size 8 ==21938== at 0x4C29726: strlen (mc_replace_strmem.c:390) ==21938== by 0x879960F: qstrlen(char const*) (in /data/installation/qt/qt-4.8/lib/libQtCore.so.4.8.0) ==21938== by 0x87FDA79: QString::fromLatin1_helper(char const*, int) (qstring.cpp:3822) ==21938== by 0x8790B96: QString::QString(QLatin1String const&) (qstring.h:694) ==21938== by 0x88661CC: QTextStream::operator<<(char const*) (qtextstream.cpp:2573) ==21938== by 0x3052FBE3: QDebug::operator<<(bool) (qdebug.h:97) ==21938== by 0x3051B9A5: CMakeProjectVisitor::traverseGlob(QString const&, QString const&, bool, bool) (cmakeprojectvisitor.cpp:2345) ==21938== by 0x3051D81C: CMakeProjectVisitor::visit(FileAst const*) (cmakeprojectvisitor.cpp:1459) ==21938== by 0x3052747C: CMakeProjectVisitor::walk(QList<CMakeFunctionDesc> const&, int, bool) (cmakeprojectvisitor.cpp:2213) ==21938== by 0x30529546: CMakeProjectVisitor::visit(IncludeAst const*) (cmakeprojectvisitor.cpp:563) ==21938== by 0x3052747C: CMakeProjectVisitor::walk(QList<CMakeFunctionDesc> const&, int, bool) (cmakeprojectvisitor.cpp:2213) ==21938== by 0x30527FA5: CMakeProjectVisitor::visit(IfAst const*) (cmakeprojectvisitor.cpp:1302) ==21938== ==21938== Use of uninitialised value of size 8 ==21938== at 0x87FDD6B: QString::fromLatin1_helper(char const*, int) (qstring.cpp:3857) ==21938== by 0x8790B96: QString::QString(QLatin1String const&) (qstring.h:694) ==21938== by 0x88661CC: QTextStream::operator<<(char const*) (qtextstream.cpp:2573) ==21938== by 0x3052FBE3: QDebug::operator<<(bool) (qdebug.h:97) ==21938== by 0x3051B9A5: CMakeProjectVisitor::traverseGlob(QString const&, QString const&, bool, bool) (cmakeprojectvisitor.cpp:2345) ==21938== by 0x3051D81C: CMakeProjectVisitor::visit(FileAst const*) (cmakeprojectvisitor.cpp:1459) ==21938== by 0x3052747C: CMakeProjectVisitor::walk(QList<CMakeFunctionDesc> const&, int, bool) (cmakeprojectvisitor.cpp:2213) ==21938== by 0x30529546: CMakeProjectVisitor::visit(IncludeAst const*) (cmakeprojectvisitor.cpp:563) ==21938== by 0x3052747C: CMakeProjectVisitor::walk(QList<CMakeFunctionDesc> const&, int, bool) (cmakeprojectvisitor.cpp:2213) ==21938== by 0x30527FA5: CMakeProjectVisitor::visit(IfAst const*) (cmakeprojectvisitor.cpp:1302) ==21938== by 0x3052747C: CMakeProjectVisitor::walk(QList<CMakeFunctionDesc> const&, int, bool) (cmakeprojectvisitor.cpp:2213) ==21938== by 0x30527FA5: CMakeProjectVisitor::visit(IfAst const*) (cmakeprojectvisitor.cpp:1302) kdevelop(21938)/kdevelop (cmake support debug)[0;34m CMakeProjectVisitor::traverseGlob[0m: Starting from ( "/data/installation/kde/trunk/share/apps/cmake/modules" , "KDELibs4ToolsTargets-*.cmake" , false , true ) kdevelop(21938)/kdevelop (cmake support debug)[0;34m CMakeProjectVisitor::traverseGlob[0m: Matching files in "/data/installation/kde/trunk/share/apps/cmake/modules" with glob "KDELibs4ToolsTargets-*.cmake" ASSERTION FAILED: !methodCallLinkInfo.cachedStructure (../3rdparty/javascriptcore/JavaScriptCore/jit/JITPropertyAccess.cpp:1592 static void QTJSC::JIT::patchMethodCallProto(QTJSC::CodeBlock*, QTJSC::MethodCallLinkInfo&, QTJSC::JSFunction*, QTJSC::Structure*, QTJSC::JSObject*, QTJSC::ReturnAddressPtr)) ==21938== Thread 1: ==21938== Invalid write of size 4 ==21938== at 0xBEC4E7D: QTJSC::JIT::patchMethodCallProto(QTJSC::CodeBlock*, QTJSC::MethodCallLinkInfo&, QTJSC::JSFunction*, QTJSC::Structure*, QTJSC::JSObject*, QTJSC::ReturnAddressPtr) (JITPropertyAccess.cpp:1592) ==21938== by 0xBEC9E27: cti_op_get_by_id_method_check (JITStubs.cpp:1344) ==21938== by 0xBEC8B0A: QTJSC::JITThunks::tryCacheGetByID(QTJSC::ExecState*, QTJSC::CodeBlock*, QTJSC::ReturnAddressPtr, QTJSC::JSValue, QTJSC::Identifier const&, QTJSC::PropertySlot const&, QTJSC::StructureStubInfo*) (JITStubs.cpp:926) ==21938== by 0x7FEFFC08F: ??? ==21938== by 0x833473FF: ??? ==21938== by 0x3F207BAF: ??? ==21938== by 0x1: ??? ==21938== by 0x83343FBF: ??? ==21938== by 0x700000001: ??? ==21938== by 0x7FEFFC0BF: ??? ==21938== by 0xBE9BAE6: QTJSC::Register::withInt(int) (Register.h:78) ==21938== Address 0xbbadbeef is not stack'd, malloc'd or (recently) free'd ==21938== ==21938== ==21938== Process terminating with default action of signal 11 (SIGSEGV): dumping core ==21938== Access not within mapped region at address 0xBBADBEEF ==21938== at 0xBEC4E7D: QTJSC::JIT::patchMethodCallProto(QTJSC::CodeBlock*, QTJSC::MethodCallLinkInfo&, QTJSC::JSFunction*, QTJSC::Structure*, QTJSC::JSObject*, QTJSC::ReturnAddressPtr) (JITPropertyAccess.cpp:1592) ==21938== by 0xBEC9E27: cti_op_get_by_id_method_check (JITStubs.cpp:1344) ==21938== by 0xBEC8B0A: QTJSC::JITThunks::tryCacheGetByID(QTJSC::ExecState*, QTJSC::CodeBlock*, QTJSC::ReturnAddressPtr, QTJSC::JSValue, QTJSC::Identifier const&, QTJSC::PropertySlot const&, QTJSC::StructureStubInfo*) (JITStubs.cpp:926) ==21938== by 0x7FEFFC08F: ??? ==21938== by 0x833473FF: ??? ==21938== by 0x3F207BAF: ??? ==21938== by 0x1: ??? ==21938== by 0x83343FBF: ??? ==21938== by 0x700000001: ??? ==21938== by 0x7FEFFC0BF: ??? ==21938== by 0xBE9BAE6: QTJSC::Register::withInt(int) (Register.h:78) ==21938== If you believe this happened as a result of a stack ==21938== overflow in your program's main thread (unlikely but ==21938== possible), you can try to increase the size of the ==21938== main thread stack using the --main-stacksize= flag. ==21938== The main thread stack size used in this run was 8388608.

notice the 0xBBADBEEF
Comment 8 Milian Wolff 2012-04-19 14:15:11 UTC
also note: probably related to Qt 4.8
Comment 9 Milian Wolff 2012-04-19 14:20:49 UTC
on the CLI I just saw:

ASSERTION FAILED: offset == static_cast<int32_t>(offset)
(/home/milian/projects/kde4/qt-src/src/3rdparty/javascriptcore/JavaScriptCore/assembler/X86Assembler.h:1603 static void QTJSC::X86Assembler::setRel32(void*, void*))
Comment 10 Milian Wolff 2012-04-19 14:23:42 UTC
ok, upstream issue after all:

https://bugreports.qt-project.org/browse/QTBUG-23871
http://qt-project.org/forums/viewthread/13164

darn, nothing we can do for now :(
Comment 11 Niko Sams 2012-05-25 12:15:31 UTC
very annoying. Frequently triggered by indentation scripts.
Comment 12 Niko Sams 2012-07-30 19:02:31 UTC
*** Bug 295913 has been marked as a duplicate of this bug. ***
Comment 13 Niko Sams 2012-07-30 19:03:39 UTC
*** Bug 304173 has been marked as a duplicate of this bug. ***
Comment 14 Milian Wolff 2012-08-13 11:41:47 UTC
Note to all users affected by this issue: Kenth Hansen fixed this issue in Qt 5, and I've backported his fix to Qt 4.8 in time for the upcoming 4.8.3 release.

Every one is thus urged to update to that new version as soon as it is released.
Comment 15 Niko Sams 2012-08-26 16:38:29 UTC
*** Bug 305825 has been marked as a duplicate of this bug. ***
Comment 16 Lukas Jirkovsky 2012-09-10 11:01:22 UTC
*** Bug 306331 has been marked as a duplicate of this bug. ***
Comment 17 André Stein 2012-11-05 09:11:12 UTC
I still have this issue using Qt 4.8.3 (ubuntu) and Kdevelop master.

------

Application: KDevelop (kdevelop), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f907bc07780 (LWP 29639))]

Thread 15 (Thread 0x7f9071c1b700 (LWP 29640)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007f908c3ddfa7 in wait (time=1000, this=0x1eaebe0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1eaded0, time=1000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f90882b787b in KDevelop::DUChainPrivate::CleanupThread::run (this=0x1eadeb0) at /home/stone/build/kdevplatform/language/duchain/duchain.cpp:282
#4  0x00007f908c3ddaec in QThreadPrivate::start (arg=0x1eadeb0) at thread/qthread_unix.cpp:338
#5  0x00007f908a1d9e9a in start_thread (arg=0x7f9071c1b700) at pthread_create.c:308
#6  0x00007f908b0e6cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f9063458700 (LWP 29641)):
#0  0x00007fff8bd6b65e in clock_gettime ()
#1  0x00007f908966515d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f908c4339c4 in do_gettime (frac=0x7f9063457b58, sec=0x7f9063457b50) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f908c50941d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f905c002660) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007f908c509763 in QTimerInfoList::timerWait (this=0x7f905c002660, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007f908c5082cc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f9063457c44) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f908c508375 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f9085460618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f9085460cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f9085460ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f908c508c16 in QEventDispatcherGlib::processEvents (this=0x7f905c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007f908c4d92bf in QEventLoop::processEvents (this=this@entry=0x7f9063457e00, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f908c4d9548 in QEventLoop::exec (this=0x7f9063457e00, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007f908c3dab10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#15 0x00007f908c3ddaec in QThreadPrivate::start (arg=0x27dabc0) at thread/qthread_unix.cpp:338
#16 0x00007f908a1d9e9a in start_thread (arg=0x7f9063458700) at pthread_create.c:308
#17 0x00007f908b0e6cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f9053fff700 (LWP 29644)):
#0  0x00007fff8bd6b65e in clock_gettime ()
#1  0x00007f908966515d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f908c4339c4 in do_gettime (frac=0x7f9053ffeb28, sec=0x7f9053ffeb20) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f908c50941d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f904c002660) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007f908c509763 in QTimerInfoList::timerWait (this=0x7f904c002660, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007f908c5082cc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f9053ffec14) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f908c508375 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f9085460618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f9085460cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f9085460ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f908c508c16 in QEventDispatcherGlib::processEvents (this=0x7f904c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007f908c4d92bf in QEventLoop::processEvents (this=this@entry=0x7f9053ffedd0, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f908c4d9548 in QEventLoop::exec (this=0x7f9053ffedd0, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007f908c3dab10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#15 0x00007f908c4b99af in QInotifyFileSystemWatcherEngine::run (this=0xebb1a0) at io/qfilesystemwatcher_inotify.cpp:248
#16 0x00007f908c3ddaec in QThreadPrivate::start (arg=0xebb1a0) at thread/qthread_unix.cpp:338
#17 0x00007f908a1d9e9a in start_thread (arg=0x7f9053fff700) at pthread_create.c:308
#18 0x00007f908b0e6cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f905326f700 (LWP 29645)):
#0  0x00007fff8bd6b65e in clock_gettime ()
#1  0x00007f908966515d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f908c4339c4 in do_gettime (frac=0x7f905326eb58, sec=0x7f905326eb50) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f908c50941d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f9044002660) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007f908c509763 in QTimerInfoList::timerWait (this=0x7f9044002660, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007f908c5082cc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f905326ec44) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f908c508375 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f9085460618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f9085460cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f9085460ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f908c508c16 in QEventDispatcherGlib::processEvents (this=0x7f90440008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007f908c4d92bf in QEventLoop::processEvents (this=this@entry=0x7f905326ee00, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f908c4d9548 in QEventLoop::exec (this=0x7f905326ee00, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007f908c3dab10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#15 0x00007f908c3ddaec in QThreadPrivate::start (arg=0xecc6b0) at thread/qthread_unix.cpp:338
#16 0x00007f908a1d9e9a in start_thread (arg=0x7f905326f700) at pthread_create.c:308
#17 0x00007f908b0e6cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f9052a6e700 (LWP 29646)):
#0  0x00007fff8bd6b65e in clock_gettime ()
#1  0x00007f908966515d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f908c4339c4 in do_gettime (frac=0x7f9052a6db58, sec=0x7f9052a6db50) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f908c50941d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f9048002860) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007f908c509763 in QTimerInfoList::timerWait (this=0x7f9048002860, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007f908c5082cc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f9052a6dc44) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f908c508375 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f9085460618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f9085460cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f9085460ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f908c508c16 in QEventDispatcherGlib::processEvents (this=0x7f90480008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007f908c4d92bf in QEventLoop::processEvents (this=this@entry=0x7f9052a6de00, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f908c4d9548 in QEventLoop::exec (this=0x7f9052a6de00, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007f908c3dab10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#15 0x00007f908c3ddaec in QThreadPrivate::start (arg=0xf14ca0) at thread/qthread_unix.cpp:338
#16 0x00007f908a1d9e9a in start_thread (arg=0x7f9052a6e700) at pthread_create.c:308
#17 0x00007f908b0e6cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#18 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f9051d0e700 (LWP 29651)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f9087620cd7 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f908792e660 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f9087620d09 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f908a1d9e9a in start_thread (arg=0x7f9051d0e700) at pthread_create.c:308
#4  0x00007f908b0e6cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f9051032700 (LWP 29661)):
#0  0x00007fff8bd6b65e in clock_gettime ()
#1  0x00007f908966515d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f908c4339c4 in do_gettime (frac=0x7f9051031b28, sec=0x7f9051031b20) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f908c50941d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f903c002860) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007f908c509763 in QTimerInfoList::timerWait (this=0x7f903c002860, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007f908c5082cc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f9051031c14) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f908c508375 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f9085460618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f9085460cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f9085460ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f908c508c16 in QEventDispatcherGlib::processEvents (this=0x7f903c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007f908c4d92bf in QEventLoop::processEvents (this=this@entry=0x7f9051031dd0, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f908c4d9548 in QEventLoop::exec (this=0x7f9051031dd0, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007f908c3dab10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#15 0x00007f908c4b99af in QInotifyFileSystemWatcherEngine::run (this=0x4c0ff30) at io/qfilesystemwatcher_inotify.cpp:248
#16 0x00007f908c3ddaec in QThreadPrivate::start (arg=0x4c0ff30) at thread/qthread_unix.cpp:338
#17 0x00007f908a1d9e9a in start_thread (arg=0x7f9051032700) at pthread_create.c:308
#18 0x00007f908b0e6cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f904173c700 (LWP 29720)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f90820f4b2d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f90820f4c39 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f908a1d9e9a in start_thread (arg=0x7f904173c700) at pthread_create.c:308
#4  0x00007f908b0e6cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f9042f3f700 (LWP 29721)):
#0  __pthread_mutex_lock (mutex=0x0) at pthread_mutex_lock.c:47
#1  0x00007f908549de21 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f908546079a in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f9085460d22 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f9085460ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f908c508c16 in QEventDispatcherGlib::processEvents (this=0x7f9030076a60, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f908c4d92bf in QEventLoop::processEvents (this=this@entry=0x7f9042f3ee00, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f908c4d9548 in QEventLoop::exec (this=0x7f9042f3ee00, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f908c3dab10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007f908c3ddaec in QThreadPrivate::start (arg=0x1e67e20) at thread/qthread_unix.cpp:338
#10 0x00007f908a1d9e9a in start_thread (arg=0x7f9042f3f700) at pthread_create.c:308
#11 0x00007f908b0e6cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f9041f3d700 (LWP 29766)):
#0  0x00007fff8bd6b65e in clock_gettime ()
#1  0x00007f908966515d in __GI_clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:116
#2  0x00007f908c4339c4 in do_gettime (frac=0x7f9041f3cb28, sec=0x7f9041f3cb20) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f908c50941d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f9038034be0) at kernel/qeventdispatcher_unix.cpp:343
#5  0x00007f908c509763 in QTimerInfoList::timerWait (this=0x7f9038034be0, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x00007f908c5082cc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f9041f3cc14) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f908c508375 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f9085460618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f9085460cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f9085460ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f908c508c16 in QEventDispatcherGlib::processEvents (this=0x7f90381fb1a0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007f908c4d92bf in QEventLoop::processEvents (this=this@entry=0x7f9041f3cdd0, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f908c4d9548 in QEventLoop::exec (this=0x7f9041f3cdd0, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007f908c3dab10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#15 0x00007f908c4b99af in QInotifyFileSystemWatcherEngine::run (this=0x5c2b7a0) at io/qfilesystemwatcher_inotify.cpp:248
#16 0x00007f908c3ddaec in QThreadPrivate::start (arg=0x5c2b7a0) at thread/qthread_unix.cpp:338
#17 0x00007f908a1d9e9a in start_thread (arg=0x7f9041f3d700) at pthread_create.c:308
#18 0x00007f908b0e6cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f8fef614700 (LWP 29915)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f908c3de04b in wait (time=18446744073709551615, this=0x5fe8d80) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x5fe94d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9082d410e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x5fe9270, th=0x5fe9900) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f9082d4392b in ThreadWeaver::WorkingHardState::applyForWork (this=0x5fe9560, th=0x5fe9900) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f9082d4279f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f8fef613e00, parent=0x5fe9270, th=th@entry=0x5fe9900) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f9082d4282b in ThreadWeaver::Thread::run (this=0x5fe9900) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f908c3ddaec in QThreadPrivate::start (arg=0x5fe9900) at thread/qthread_unix.cpp:338
#8  0x00007f908a1d9e9a in start_thread (arg=0x7f8fef614700) at pthread_create.c:308
#9  0x00007f908b0e6cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f8feeddf700 (LWP 29916)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f908c3de04b in wait (time=18446744073709551615, this=0x5fe8d80) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x5fe94d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9082d410e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x5fe9270, th=0x4ce0210) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f9082d4392b in ThreadWeaver::WorkingHardState::applyForWork (this=0x5fe9560, th=0x4ce0210) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f9082d4279f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f8feeddee00, parent=0x5fe9270, th=th@entry=0x4ce0210) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f9082d4282b in ThreadWeaver::Thread::run (this=0x4ce0210) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f908c3ddaec in QThreadPrivate::start (arg=0x4ce0210) at thread/qthread_unix.cpp:338
#8  0x00007f908a1d9e9a in start_thread (arg=0x7f8feeddf700) at pthread_create.c:308
#9  0x00007f908b0e6cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f8fedf0c700 (LWP 29926)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f908c3de04b in wait (time=18446744073709551615, this=0xe76d60) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe76c00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9082d410e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xe76a30, th=0x607c470) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f9082d4392b in ThreadWeaver::WorkingHardState::applyForWork (this=0xe76c60, th=0x607c470) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f9082d4279f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f8fedf0be00, parent=0xe76a30, th=th@entry=0x607c470) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f9082d4282b in ThreadWeaver::Thread::run (this=0x607c470) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f908c3ddaec in QThreadPrivate::start (arg=0x607c470) at thread/qthread_unix.cpp:338
#8  0x00007f908a1d9e9a in start_thread (arg=0x7f8fedf0c700) at pthread_create.c:308
#9  0x00007f908b0e6cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f8fed70b700 (LWP 29927)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f908c3de04b in wait (time=18446744073709551615, this=0xe76d60) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe76c00, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f9082d410e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xe76a30, th=0x7f8fe4002d60) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f9082d4392b in ThreadWeaver::WorkingHardState::applyForWork (this=0xe76c60, th=0x7f8fe4002d60) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f9082d43944 in ThreadWeaver::WorkingHardState::applyForWork (this=0xe76c60, th=0x7f8fe4002d60) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f9082d4279f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f8fed70ae00, parent=0xe76a30, th=th@entry=0x7f8fe4002d60) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f9082d4282b in ThreadWeaver::Thread::run (this=0x7f8fe4002d60) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f908c3ddaec in QThreadPrivate::start (arg=0x7f8fe4002d60) at thread/qthread_unix.cpp:338
#9  0x00007f908a1d9e9a in start_thread (arg=0x7f8fed70b700) at pthread_create.c:308
#10 0x00007f908b0e6cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f907bc07780 (LWP 29639)):
[KCrash Handler]
#6  0x00007f8f747ab030 in ?? ()
#7  0x00007f8fec86a09a in ?? ()
#8  0x00007f908dabd890 in vtable for KTextEditor::Range () from /usr/lib/libktexteditor.so.4
#9  0x00007f9074743b00 in ?? ()
#10 0x00007f9000000014 in ?? ()
#11 0x00007f9000000002 in ?? ()
#12 0x00007f9074743fc0 in ?? ()
#13 0x00007f9000000007 in ?? ()
#14 0x0000000005733c60 in ?? ()
#15 0x0000000004706c00 in ?? ()
#16 0x00007fff8bce25b0 in ?? ()
#17 0x00007f90747ac050 in ?? ()
#18 0x00007f90580f4bc8 in ?? ()
#19 0x00007f8fec9140c8 in ?? ()
#20 0x00007f90500c8a88 in ?? ()
#21 0x00007f9087919d98 in QTJSC::ExecutableAllocator::pageSize () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#22 0x00007f90500c7800 in ?? ()
#23 0x00007f8fec914000 in ?? ()
#24 0x00007f90500b01c0 in ?? ()
#25 0x00007f9087919d98 in QTJSC::ExecutableAllocator::pageSize () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#26 0x00000000065e5878 in ?? ()
#27 0x00007f8fec914060 in ?? ()
#28 0x00007f90580f4bb0 in ?? ()
#29 0x00007f908752e8d9 in execute (exception=0x7f90500c8a88, globalData=0x7f90500c7800, callFrame=0x200, registerFile=0x7fff8bce2398, this=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/jit/JITCode.h:79
#30 QTJSC::Interpreter::execute (this=0x7fff8bce2380, functionExecutable=0xffff000000000002, callFrame=0x7f8fec914168, function=0x7f9074743940, thisObj=<optimized out>, args=..., scopeChain=0x7f90500b18a0, exception=0x7f90500c8a88) at ../3rdparty/javascriptcore/JavaScriptCore/interpreter/Interpreter.cpp:716
#31 0x00007f90875bf817 in QTJSC::JSFunction::call (this=0x7f9074743940, exec=0x65e5878, thisValue=..., args=...) at ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSFunction.cpp:122
#32 0x00007f90875931ff in QTJSC::call (exec=<optimized out>, functionObject=..., callType=<optimized out>, callData=..., thisValue=..., args=...) at ../3rdparty/javascriptcore/JavaScriptCore/runtime/CallData.cpp:62
#33 0x00007f908767a99e in QScriptValue::call (this=<optimized out>, thisObject=..., args=...) at api/qscriptvalue.cpp:1604
#34 0x00007f9073724f97 in KateIndentScript::indent (this=0xfe6600, view=<optimized out>, position=..., typedCharacter=..., indentWidth=4) at ../../part/script/kateindentscript.cpp:73
#35 0x00007f90737f957b in KateAutoIndent::scriptIndent (this=this@entry=0x4725c10, view=view@entry=0x4914e00, position=..., typedChar=..., typedChar@entry=...) at ../../part/utils/kateautoindent.cpp:249
#36 0x00007f90737f9f50 in KateAutoIndent::userTypedChar (this=0x4725c10, view=0x4914e00, position=..., typedChar=...) at ../../part/utils/kateautoindent.cpp:427
#37 0x00007f9073707257 in KateDocument::typeChars (this=0x4706c00, view=0x4914e00, chars=...) at ../../part/document/katedocument.cpp:2705
#38 0x00007f907379c268 in keyPressEvent (e=0x7fff8bce2ee0, this=0x49157e0) at ../../part/view/kateviewinternal.cpp:2385
#39 KateViewInternal::keyPressEvent (this=0x49157e0, e=0x7fff8bce2ee0) at ../../part/view/kateviewinternal.cpp:2231
#40 0x00007f90737940db in KateViewInternal::eventFilter (this=0x49157e0, obj=0x49157e0, e=0x7fff8bce2ee0) at ../../part/view/kateviewinternal.cpp:2183
#41 0x00007f908c4da6d6 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x49157e0, event=0x7fff8bce2ee0) at kernel/qcoreapplication.cpp:1025
#42 0x00007f908b881e6c in QApplicationPrivate::notify_helper (this=this@entry=0xa90750, receiver=receiver@entry=0x49157e0, e=e@entry=0x7fff8bce2ee0) at kernel/qapplication.cpp:4558
#43 0x00007f908b886e84 in QApplication::notify (this=<optimized out>, receiver=0x49157e0, e=0x7fff8bce2ee0) at kernel/qapplication.cpp:4003
#44 0x00007f908ca5b1d6 in KApplication::notify (this=0x7fff8bce40b0, receiver=0x49157e0, event=0x7fff8bce2ee0) at ../../kdeui/kernel/kapplication.cpp:311
#45 0x00007f908c4da56e in QCoreApplication::notifyInternal (this=0x7fff8bce40b0, receiver=0x49157e0, event=0x7fff8bce2ee0) at kernel/qcoreapplication.cpp:915
#46 0x00007f908b922e79 in QKeyMapper::sendKeyEvent (keyWidget=keyWidget@entry=0x49157e0, grab=grab@entry=false, type=QEvent::KeyPress, code=58, modifiers=..., text=..., autorepeat=autorepeat@entry=false, count=1, nativeScanCode=60, nativeVirtualKey=58, nativeModifiers=17) at kernel/qkeymapper_x11.cpp:1866
#47 0x00007f908b9232b1 in QKeyMapperPrivate::translateKeyEvent (this=0xad9340, keyWidget=0x49157e0, event=0x7fff8bce3910, grab=<optimized out>) at kernel/qkeymapper_x11.cpp:1836
#48 0x00007f908b8feed9 in QApplication::x11ProcessEvent (this=0x7fff8bce40b0, event=0x7fff8bce3910) at kernel/qapplication_x11.cpp:3630
#49 0x00007f908b926fa2 in x11EventSourceDispatch (s=0xa93200, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#50 0x00007f9085460ab5 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#51 0x00007f9085460de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#52 0x00007f9085460ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#53 0x00007f908c508bf6 in QEventDispatcherGlib::processEvents (this=0x9deb30, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#54 0x00007f908b926c1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#55 0x00007f908c4d92bf in QEventLoop::processEvents (this=this@entry=0x7fff8bce3ce0, flags=...) at kernel/qeventloop.cpp:149
#56 0x00007f908c4d9548 in QEventLoop::exec (this=0x7fff8bce3ce0, flags=...) at kernel/qeventloop.cpp:204
#57 0x00007f908c4de708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#58 0x000000000040d93e in main (argc=<optimized out>, argv=<optimized out>) at /home/stone/build/kdevelop/app/main.cpp:503
Comment 18 André Stein 2012-11-06 08:50:07 UTC
I have KDE 4.9.2/Kate 3.9.2
Comment 19 Milian Wolff 2012-11-09 20:21:07 UTC
*** Bug 309344 has been marked as a duplicate of this bug. ***
Comment 20 Milian Wolff 2012-12-21 12:06:33 UTC
*** Bug 312024 has been marked as a duplicate of this bug. ***
Comment 21 Milian Wolff 2013-01-10 17:34:46 UTC
*** Bug 313024 has been marked as a duplicate of this bug. ***
Comment 22 André Stein 2013-03-05 08:07:05 UTC
I upgraded to Qt 4.8.4 with Ubuntu raring and I still get random crashes in Kdevelop. It still seems that QtScript and Indentation is the cause. Unforunately this is very annoying because it happens frequently in big projects makes Kdevelop nearly unusuable. System is x64.

Backtrace:

Application: KDevelop (kdevelop), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f84a72a97c0 (LWP 3654))]

Thread 16 (Thread 0x7f84894a7700 (LWP 3655)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f84a4ff80a7 in wait (time=1000, this=0x2b57020) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2b5ad60, time=1000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f84a0ec0e4b in KDevelop::DUChainPrivate::CleanupThread::run (this=0x2b5ad40) at /home/stone/build/kdevplatform/language/duchain/duchain.cpp:282
#4  0x00007f84a4ff7bec in QThreadPrivate::start (arg=0x2b5ad40) at thread/qthread_unix.cpp:338
#5  0x00007f84a2debf8e in start_thread (arg=0x7f84894a7700) at pthread_create.c:311
#6  0x00007f84a3cfde1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 15 (Thread 0x7f8478077700 (LWP 3656)):
#0  0x00007f84a3cf13cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f849e0b615c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f849e0b6284 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f84a5123026 in QEventDispatcherGlib::processEvents (this=0x7f84700008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f84a50f337f in QEventLoop::processEvents (this=this@entry=0x7f8478076dc0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f84a50f3608 in QEventLoop::exec (this=0x7f8478076dc0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f84a4ff5410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#7  0x00007f84a4ff7bec in QThreadPrivate::start (arg=0x3603950) at thread/qthread_unix.cpp:338
#8  0x00007f84a2debf8e in start_thread (arg=0x7f8478077700) at pthread_create.c:311
#9  0x00007f84a3cfde1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 14 (Thread 0x7f846dd24700 (LWP 3659)):
#0  0x00007f84a3cf13cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f849e0b615c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f849e0b6284 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f84a5123026 in QEventDispatcherGlib::processEvents (this=0x7f84640008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f84a50f337f in QEventLoop::processEvents (this=this@entry=0x7f846dd23d90, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f84a50f3608 in QEventLoop::exec (this=0x7f846dd23d90, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f84a4ff5410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#7  0x00007f84a50d4ecf in QInotifyFileSystemWatcherEngine::run (this=0x34da610) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f84a4ff7bec in QThreadPrivate::start (arg=0x34da610) at thread/qthread_unix.cpp:338
#9  0x00007f84a2debf8e in start_thread (arg=0x7f846dd24700) at pthread_create.c:311
#10 0x00007f84a3cfde1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 13 (Thread 0x7f846d4e7700 (LWP 3660)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f84a0225e77 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f84a0533660 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f84a0225ea9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f84a2debf8e in start_thread (arg=0x7f846d4e7700) at pthread_create.c:311
#4  0x00007f84a3cfde1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 12 (Thread 0x7f8463692700 (LWP 3670)):
#0  0x00007f84a3cf13cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f849e0b615c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f849e0b6284 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f84a5123026 in QEventDispatcherGlib::processEvents (this=0x7f845c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f84a50f337f in QEventLoop::processEvents (this=this@entry=0x7f8463691d90, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f84a50f3608 in QEventLoop::exec (this=0x7f8463691d90, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f84a4ff5410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#7  0x00007f84a50d4ecf in QInotifyFileSystemWatcherEngine::run (this=0x4b83840) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f84a4ff7bec in QThreadPrivate::start (arg=0x4b83840) at thread/qthread_unix.cpp:338
#9  0x00007f84a2debf8e in start_thread (arg=0x7f8463692700) at pthread_create.c:311
#10 0x00007f84a3cfde1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 11 (Thread 0x7f8453fff700 (LWP 3753)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f849ac7f1e5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f849ac7f239 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f84a2debf8e in start_thread (arg=0x7f8453fff700) at pthread_create.c:311
#4  0x00007f84a3cfde1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 10 (Thread 0x7f8461010700 (LWP 3839)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f849a9c5ea9 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f849acad98e in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f84a2debf8e in start_thread (arg=0x7f8461010700) at pthread_create.c:311
#4  0x00007f84a3cfde1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 9 (Thread 0x7f846080f700 (LWP 3840)):
#0  0x00007fff8bbfe8d2 in ?? ()
#1  0x00000000054c4190 in ?? ()
#2  0x000000008bab0290 in ?? ()
#3  0x00007f84543f8370 in ?? ()
#4  0x00007f846080ebb0 in ?? ()
#5  0x00007f846080ec68 in ?? ()
#6  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f8452bdf700 (LWP 3846)):
#0  0x00007f84a3cf13cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f849e0b615c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f849e0b6284 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f84a5123026 in QEventDispatcherGlib::processEvents (this=0x7f845802c2a0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f84a50f337f in QEventLoop::processEvents (this=this@entry=0x7f8452bded90, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f84a50f3608 in QEventLoop::exec (this=0x7f8452bded90, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f84a4ff5410 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#7  0x00007f84a50d4ecf in QInotifyFileSystemWatcherEngine::run (this=0x555b9e0) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007f84a4ff7bec in QThreadPrivate::start (arg=0x555b9e0) at thread/qthread_unix.cpp:338
#9  0x00007f84a2debf8e in start_thread (arg=0x7f8452bdf700) at pthread_create.c:311
#10 0x00007f84a3cfde1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7f8451602700 (LWP 4090)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f84a4ff80a7 in wait (time=1000, this=0x6d0a000) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x6ba3e98, time=1000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f84503803b2 in includePaths (this=0x6ba3da0) at /home/stone/build/kdevelop/languages/cpp/cppparsejob.cpp:250
#4  CPPParseJob::includePaths (this=0x6ba3da0) at /home/stone/build/kdevelop/languages/cpp/cppparsejob.cpp:238
#5  0x00007f8450385016 in CPPParseJob::mergeDefines (this=0x6ba3da0, env=...) at /home/stone/build/kdevelop/languages/cpp/cppparsejob.cpp:213
#6  0x00007f845038a0d6 in PreprocessJob::run (this=0x6a3eea0) at /home/stone/build/kdevelop/languages/cpp/preprocessjob.cpp:159
#7  0x00007f849b996e3a in ThreadWeaver::JobRunHelper::runTheJob (this=this@entry=0x7f8451601d50, th=th@entry=0x5a8e980, job=job@entry=0x6a3eea0) at ../../../threadweaver/Weaver/Job.cpp:106
#8  0x00007f849b996fb1 in ThreadWeaver::Job::execute (this=0x6a3eea0, th=0x5a8e980) at ../../../threadweaver/Weaver/Job.cpp:135
#9  0x00007f849b998e23 in ThreadWeaver::JobCollectionJobRunner::execute (this=0x70a8d90, t=0x5a8e980) at ../../../threadweaver/Weaver/JobCollection.cpp:82
#10 0x00007f849b99660f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f8451601dc0, parent=0x1b892a0, th=th@entry=0x5a8e980) at ../../../threadweaver/Weaver/Thread.cpp:95
#11 0x00007f849b9966cb in ThreadWeaver::Thread::run (this=0x5a8e980) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x00007f84a4ff7bec in QThreadPrivate::start (arg=0x5a8e980) at thread/qthread_unix.cpp:338
#13 0x00007f84a2debf8e in start_thread (arg=0x7f8451602700) at pthread_create.c:311
#14 0x00007f84a3cfde1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7f8450e01700 (LWP 4091)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f84a4ff814b in wait (time=18446744073709551615, this=0x1b893f0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1b89570, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f849b995041 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1b892a0, th=0x4ba79c0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f849b99794b in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b89600, th=0x4ba79c0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f849b997964 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1b89600, th=0x4ba79c0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f849b99663f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f8450e00dc0, parent=0x1b892a0, th=th@entry=0x4ba79c0) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f849b9966cb in ThreadWeaver::Thread::run (this=0x4ba79c0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f84a4ff7bec in QThreadPrivate::start (arg=0x4ba79c0) at thread/qthread_unix.cpp:338
#9  0x00007f84a2debf8e in start_thread (arg=0x7f8450e01700) at pthread_create.c:311
#10 0x00007f84a3cfde1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7f840ba6d700 (LWP 4092)):
#0  0x00007fff8bbfe8d2 in ?? ()
#1  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f840b26c700 (LWP 4093)):
#0  0x00007fff8bbfe8d2 in ?? ()
#1  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f840984d700 (LWP 4130)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f84a4ff814b in wait (time=18446744073709551615, this=0x6796a70) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2b70ec0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f849b995041 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x673f5d0, th=0x6735aa0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f849b99794b in ThreadWeaver::WorkingHardState::applyForWork (this=0x3f81b10, th=0x6735aa0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f849b99663f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f840984cdc0, parent=0x673f5d0, th=th@entry=0x6735aa0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f849b9966cb in ThreadWeaver::Thread::run (this=0x6735aa0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f84a4ff7bec in QThreadPrivate::start (arg=0x6735aa0) at thread/qthread_unix.cpp:338
#8  0x00007f84a2debf8e in start_thread (arg=0x7f840984d700) at pthread_create.c:311
#9  0x00007f84a3cfde1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7f840901a700 (LWP 4131)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f84a4ff814b in wait (time=18446744073709551615, this=0x6796a70) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2b70ec0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f849b995041 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x673f5d0, th=0x4a0cfc0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f849b99794b in ThreadWeaver::WorkingHardState::applyForWork (this=0x3f81b10, th=0x4a0cfc0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f849b99663f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f8409019dc0, parent=0x673f5d0, th=th@entry=0x4a0cfc0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f849b9966cb in ThreadWeaver::Thread::run (this=0x4a0cfc0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f84a4ff7bec in QThreadPrivate::start (arg=0x4a0cfc0) at thread/qthread_unix.cpp:338
#8  0x00007f84a2debf8e in start_thread (arg=0x7f840901a700) at pthread_create.c:311
#9  0x00007f84a3cfde1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7f84a72a97c0 (LWP 3654)):
[KCrash Handler]
#6  0x00007f84eb3b6030 in ?? ()
#7  0x00007f848b79609a in ?? ()
#8  0x00007f84a66e0890 in vtable for KTextEditor::Range () from /usr/lib/libktexteditor.so.4
#9  0x00007f83eaf44080 in ?? ()
#10 0x00007f8400000014 in ?? ()
#11 0x00007f8300000002 in ?? ()
#12 0x00007f83eaf44280 in ?? ()
#13 0x00007f8400000007 in ?? ()
#14 0x00000000044b7a30 in ?? ()
#15 0x00000000040eef20 in ?? ()
#16 0x00007f84a0e96d00 in ?? () at /usr/include/qt4/QtCore/qstring.h:880 from /usr/lib/libkdevplatformlanguage.so.7
#17 0x00007f83eb3b7360 in ?? ()
#18 0x00007f8463bcea10 in ?? ()
#19 0x00007f83eafb60c8 in ?? ()
#20 0x00007f8463bcda88 in ?? ()
#21 0x00007f84a051ed98 in QTJSC::ExecutableAllocator::pageSize () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#22 0x00007f8463bcc800 in ?? ()
#23 0x00007f83eafb6000 in ?? ()
#24 0x00007f8463bc5380 in ?? ()
#25 0x00007f84a051ed98 in QTJSC::ExecutableAllocator::pageSize () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#26 0x000000000694e8d8 in ?? ()
#27 0x00007f83eafb6060 in ?? ()
#28 0x00007f8463bce9f8 in ?? ()
#29 0x00007f84a0133979 in execute (exception=0x7f8463bcda88, globalData=0x7f8463bcc800, callFrame=0x200, registerFile=0x7fff8baae5d8, this=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/jit/JITCode.h:79
#30 QTJSC::Interpreter::execute (this=0x7fff8baae5c0, functionExecutable=0xffff000000000002, callFrame=0x7f83eafb6168, function=0x7f83eaf43c80, thisObj=<optimized out>, args=..., scopeChain=0x7f8463bcf240, exception=0x7f8463bcda88) at ../3rdparty/javascriptcore/JavaScriptCore/interpreter/Interpreter.cpp:716
#31 0x00007f84a01c4587 in QTJSC::JSFunction::call (this=0x7f83eaf43c80, exec=0x694e8d8, thisValue=..., args=...) at ../3rdparty/javascriptcore/JavaScriptCore/runtime/JSFunction.cpp:122
#32 0x00007f84a01983cf in QTJSC::call (exec=<optimized out>, functionObject=..., callType=<optimized out>, callData=..., thisValue=..., args=...) at ../3rdparty/javascriptcore/JavaScriptCore/runtime/CallData.cpp:62
#33 0x00007f84a027f40e in QScriptValue::call (this=<optimized out>, thisObject=..., args=...) at api/qscriptvalue.cpp:1604
#34 0x00007f847986edb7 in KateIndentScript::indent (this=0x35ec970, view=<optimized out>, position=..., typedCharacter=..., indentWidth=2) at ../../part/script/kateindentscript.cpp:73
#35 0x00007f847994e65b in KateAutoIndent::scriptIndent (this=this@entry=0x3fead70, view=view@entry=0x4660d60, position=..., typedChar=..., typedChar@entry=...) at ../../part/utils/kateautoindent.cpp:265
#36 0x00007f847994e7e0 in KateAutoIndent::userTypedChar (this=0x3fead70, view=0x4660d60, position=..., typedChar=...) at ../../part/utils/kateautoindent.cpp:449
#37 0x00007f847985a3e9 in KateDocument::typeChars (this=0x40eef20, view=0x4660d60, realChars=...) at ../../part/document/katedocument.cpp:2597
#38 0x00007f84798e0908 in keyPressEvent (e=0x7fff8baaf0b0, this=0x47b38f0) at ../../part/view/kateviewinternal.cpp:2402
#39 KateViewInternal::keyPressEvent (this=0x47b38f0, e=0x7fff8baaf0b0) at ../../part/view/kateviewinternal.cpp:2248
#40 0x00007f84798e307b in KateViewInternal::eventFilter (this=0x47b38f0, obj=0x47b38f0, e=0x7fff8baaf0b0) at ../../part/view/kateviewinternal.cpp:2200
#41 0x00007f84a50f4796 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x47b38f0, event=0x7fff8baaf0b0) at kernel/qcoreapplication.cpp:1056
#42 0x00007f84a449a8bc in QApplicationPrivate::notify_helper (this=this@entry=0x17e5180, receiver=receiver@entry=0x47b38f0, e=e@entry=0x7fff8baaf0b0) at kernel/qapplication.cpp:4563
#43 0x00007f84a449dd4d in QApplication::notify (this=<optimized out>, receiver=0x47b38f0, e=0x7fff8baaf0b0) at kernel/qapplication.cpp:4008
#44 0x00007f84a567e666 in KApplication::notify (this=0x7fff8bab0290, receiver=0x47b38f0, event=0x7fff8baaf0b0) at ../../kdeui/kernel/kapplication.cpp:311
#45 0x00007f84a50f462e in QCoreApplication::notifyInternal (this=0x7fff8bab0290, receiver=0x47b38f0, event=0x7fff8baaf0b0) at kernel/qcoreapplication.cpp:946
#46 0x00007f84a453d649 in QKeyMapper::sendKeyEvent (keyWidget=keyWidget@entry=0x47b38f0, grab=grab@entry=false, type=QEvent::KeyPress, code=41, modifiers=..., text=..., autorepeat=autorepeat@entry=false, count=1, nativeScanCode=18, nativeVirtualKey=41, nativeModifiers=17) at kernel/qkeymapper_x11.cpp:1866
#47 0x00007f84a453da81 in QKeyMapperPrivate::translateKeyEvent (this=0x1839410, keyWidget=0x47b38f0, event=0x7fff8baafae0, grab=<optimized out>) at kernel/qkeymapper_x11.cpp:1836
#48 0x00007f84a4514859 in QApplication::x11ProcessEvent (this=0x7fff8bab0290, event=0x7fff8baafae0) at kernel/qapplication_x11.cpp:3639
#49 0x00007f84a45400b2 in x11EventSourceDispatch (s=0x17e9120, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#50 0x00007f849e0b5e85 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#51 0x00007f849e0b61c8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#52 0x00007f849e0b6284 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#53 0x00007f84a5123006 in QEventDispatcherGlib::processEvents (this=0x1747ad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#54 0x00007f84a45401ae in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#55 0x00007f84a50f337f in QEventLoop::processEvents (this=this@entry=0x7fff8baafeb0, flags=...) at kernel/qeventloop.cpp:149
#56 0x00007f84a50f3608 in QEventLoop::exec (this=0x7fff8baafeb0, flags=...) at kernel/qeventloop.cpp:204
#57 0x00007f84a50f8ce6 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#58 0x000000000040da64 in main (argc=<optimized out>, argv=<optimized out>) at /home/stone/build/kdevelop/app/main.cpp:506
Comment 23 André Stein 2013-03-26 22:43:49 UTC
Any news on this? Why is the status set to resolved upstream (its not in Qt 4.8.4)? I got the issue every day with the exact same pattern and finally switched to QtCreator for my daily work because using Kdevelop has become a nightmare. Is there at least anything one can do to help debugging?
Comment 24 Myriam Schweingruber 2013-04-17 18:48:11 UTC
*** Bug 306971 has been marked as a duplicate of this bug. ***
Comment 25 Christoph Feck 2013-04-23 22:22:13 UTC
> I got the issue every day with the exact same pattern

André, are you talking about the backtrace pattern or the use pattern? Without exact steps to reproduce, it will be hard to fix.

You probably would need to create a reproducible test case using QtScript and report it to Qt developers.
Comment 26 André Stein 2013-04-24 18:06:42 UTC
Christian,

I mean the backtrace pattern. The use pattern leading to the crash unfortunately isn't always the same as the crashes happen rather randomly. But I think the backtraces show always the same pattern with every crash which in turn resembles those from the supposebly fixed Qt Bug reports. Maybe I'll just have to wait for Qt 5 being standard in my distribution. I think finding a good testcase is rather hard giving the time the Qt developers needed to isolate the problem.
Comment 27 Kevin Funk 2013-05-09 15:30:21 UTC
*** Bug 319570 has been marked as a duplicate of this bug. ***
Comment 28 Kevin Funk 2013-05-09 18:22:04 UTC
From report marked as duplicate:\

Maciej: "This bug still occurs on Kubuntu Raring that is suppose to contain the fix for 297661. Shouldn't the 297661 be reopened then?"

@Maciej: It still seems to be an upstream bug, so there's hardly anything we can do about unfortunately. Interestingly, for me KDevelop on Kubuntu 13.04 with self-compiled Qt 4.8.4 (v4.8.4 tag) works fine.
Comment 29 Maciej Cencora 2013-05-09 19:39:09 UTC
@Kevin:
Your remark about self compiled qt got me thinking and I did some digging.
The fix for QTBUG-297661 is contained in 79ebd39d0d4846cb911ae122d2059e5add568d7 commit.
Unfortunately this commit is reverted in qt version packaged by ubuntu:
maciej@osiris:~/tmp/qt4-x11-4.8.4+dfsg$ diffstat debian/patches/kubuntu_38_revert_fix_jit_crash.diff 
 qt-everywhere-opensource-src-4.8.4/src/3rdparty/javascriptcore/JavaScriptCore/ChangeLog                              |   27 --------
 qt-everywhere-opensource-src-4.8.4/src/3rdparty/javascriptcore/JavaScriptCore/JavaScriptCore.pri                     |    1 
 qt-everywhere-opensource-src-4.8.4/src/3rdparty/javascriptcore/JavaScriptCore/jit/ExecutableAllocator.cpp            |   21 ------
 qt-everywhere-opensource-src-4.8.4/src/3rdparty/javascriptcore/JavaScriptCore/jit/ExecutableAllocatorFixedVMPool.cpp |   31 +++-------
 qt-everywhere-opensource-src-4.8.4/src/3rdparty/javascriptcore/JavaScriptCore/jit/ExecutableAllocatorPosix.cpp       |   29 ++++++++-
 qt-everywhere-opensource-src-4.8.4/src/3rdparty/javascriptcore/JavaScriptCore/jit/ExecutableAllocatorSymbian.cpp     |    2 
 qt-everywhere-opensource-src-4.8.4/src/3rdparty/javascriptcore/JavaScriptCore/jit/ExecutableAllocatorWin.cpp         |    2 
 src/3rdparty/javascriptcore/JavaScriptCore/wtf/Platform.h                                                            |   10 ---
 8 files changed, 39 insertions(+), 84 deletions(-)

It has been reverted due to following bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685524

Not sure what to do know. Seems this patch fixes one thing, but breaks another.
Comment 30 André Stein 2013-05-10 17:28:21 UTC
I think that the Debian bug report you mentioned has been fixed inQt by this change:

https://bugreports.qt-project.org/browse/QTBUG-27322

as referenced in this Kde bug report :

https://bugs.kde.org/show_bug.cgi?id=305718

Debian and Kubuntu now still revert "our" important patch without noticing that the current version of Qt should work fine both for the Kwin and Kate bug. We'll should get ahold of the package maintainers as soon as possible to get packages without that patch reverted.